prompt --application/pages/page_00005
begin
--   Manifest
--     PAGE: 00005
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>5
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Certificado Definitivo'
,p_page_mode=>'MODAL'
,p_step_title=>'Certificado Definitivo'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_html_page_onload=>'onload="imprimir();"'
,p_autocomplete_on_off=>'ON'
,p_html_page_header=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<style>',
'            @page{',
'                size: A4 portrait;',
'            }',
'            body{',
'                font-family: Arial, Helvetica, sans-serif;',
'                font-size: 11px;',
'            }',
'            .tabla-reporte th{',
'                padding: 10px;',
'                 border: 1px solid #ccc;',
'                 background-color: #acc359;',
'            }',
'            .tabla-reporte{',
'                border: 1px solid #ccc;',
'                width: 100%;',
'                border-collapse: collapse;',
'                font-family: Arial;',
'            }',
'            .titulo{',
'                font-size: 12px;',
'                font-weight: bold;',
'                text-decoration: underline;',
'            }',
'            .tabla-reporte td{',
'                padding: 5px;',
'                border: 1px solid #ccc;',
'                vertical-align:top;',
'            }',
'            .item-title{',
'                font-weight: bold;',
'            }',
'            .legend-leg{',
'                margin-top: 20px;',
'            }',
'            .leg{',
'                font-size: 12px;',
'                text-align: justify;',
'            }',
'            .tabla-logo{',
'                margin-bottom: 2px;',
'            }',
'            .tabla-logo tr{',
'                margin: 0;',
'                font-family: Arial;',
'            }',
'            .certificado{',
'                margin-top: 30px;',
'            }',
'            .certificado h3{',
'                text-align: center;',
'                font-size: 18px;',
'                text-decoration: underline;',
'                font-weight: bold;',
'            }',
'            @media all{',
'                div.salto-pagina{',
'                    display: none;',
'                }',
'            }',
'            @media print{',
'                div.salto-pagina{',
'                    display: block;',
'                    page-break-before: always;',
'                }',
'                ',
'                div.reporte.tabla-reporte th{',
'                    padding: 10px;',
'                    border: 1px solid #ccc;',
'                    height: 30px;',
'                    background-color: #acc359;',
'                }',
'            }',
'        </style>'))
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function imprimir() {',
'window.print();',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20200702121120'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(100317552580397207)
,p_plug_name=>'SOLICITUD DE INSCRIPCIONNNN'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50728007787672288)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare cursor c(idc NUMBER)',
'',
'is',
'',
'select ',
'apex_item.display_and_save(1,PRO.ID_DEFINITIVO) numero, ',
'apex_item.display_and_save(2,PT.DESCRIPCION) tipo,',
'apex_item.display_and_save(3,PRO.CUIT) cuit,',
'apex_item.display_and_save(4,PRO.RAZON_SOCIAL) razon_social,',
'apex_item.display_and_save(5,''CUIL: ''||P.CUIL||'' - ''||P.APELLIDO||'', ''||P.NOMBRE) persona,',
'apex_item.display_and_save(6,PRO.DOMICILIO_ESP_CALLE||'' ''||PRO.DOMICILIO_ESP_NUMERO||'' ''||PRO.DOMICILIO_ESP_PISO||'' ''||PRO.DOMICILIO_ESP_DEPTO) domicilio,',
'apex_item.display_and_save(7,L.DESCRIPCION) localidad,',
'apex_item.display_and_save(8,PRO.FECHA + 10) fecha,',
'apex_item.display_and_save(9,to_char(sysdate,''fmDay, fmDD fmMonth, YYYY'')) fecha_dia,',
'apex_item.display_and_save(10,r.codigo||'': ''||r.descripcion)  rubro,',
'apex_item.display_and_save(11,PRO.RESOLUCION_NUMERO)  resolucion',
'',
' ',
'FROM PERSONA P, PROVEEDOR PRO, PROVEEDOR_TIPO PT, LOCALIDAD L, RUBRO R',
'',
'WHERE PRO.ID = idc',
'  AND P.PERFIL_ID IN (1)',
'  AND PRO.PERSONA_ID = P.ID',
'  AND PRO.TIPO_ID = PT.ID',
'  AND PRO.DOMICILIO_ESP_LOCALIDAD_ID = L.ID',
'  AND pro.RUBRO_ID = r.id;',
'',
'cursor c_r(idc NUMBER)',
'',
'is',
'',
'select ',
'apex_item.display_and_save(1,r.Codigo||'' - ''||r.descripcion) rubro_secundario',
'',
'from ',
'',
'PROVEEDOR_RUBRO_SEC PRS, rubro r ',
'',
'where PRS.proveedor_id = idc',
'  and prs.rubro_id = r.id',
'order by r.Codigo asc;',
'',
'r c%ROWTYPE;',
'r_r c_r%ROWTYPE;',
'',
'begin',
'open c(:P5_ID);',
'fetch c into r;',
'',
'htp.print(''<div class="reporte">'');',
'htp.print(''<!--  Logo -->'');',
'htp.print(''<table width="100%" class="tabla-logo">'');',
'htp.print(''<tr><td align="center"><img src="#WORKSPACE_IMAGES#Logo-CatamarcaCiudad-transparente.png" alt="" width=260 height=52 /></td></tr>'');',
unistr('htp.print(''<tr><td align="center"><b>MUNICIPALIDAD DE SAN FERNANDO DEL VALLE DE CATAMARCA<br>DIRECCION DE CONTRATACI\00D3NES Y ALMACEN<br>SALTA 1141 - C.P. 4700 - SFV DE CATAMARCA<br>FORMULARIO DE INSCRIPCI\00D3N</b></td></tr>'');'),
'htp.print(''</table>'');',
'htp.print(''<!-- -->'');',
'htp.print(''<div class="certificado">'');',
'htp.print(''<h3>CERTIFICADO DE INSCRIPCION DEFINITIVO</h3>'');',
'htp.print(''<!-- DATOS -->'');',
'htp.print(''<table class="tabla-reporte">'');',
'htp.print(''<thead>'');',
'htp.print(''<tr>'');',
'htp.print(''<th colspan="2">'');',
'htp.print(''<span class="titulo">DATOS DE LA INSCRIPCION</span>'');',
'htp.print(''</th>'');',
'htp.print(''</tr>'');',
'htp.print(''</thead>'');',
'htp.print(''<tr>'');',
unistr('htp.print(''<td width="22%"><span class="item-title">Inscripci&oacute;n N\00BA:</span></td>'');'),
'htp.print(''<td width="78%"><span>'' || r.numero || ''</span></td>'');',
'htp.print(''</tr>'');',
'htp.print(''<tr>'');',
unistr('htp.print(''<td width="22%"><span class="item-title">Resoluci&oacute;n D.C. Y C. N\00BA:</span></td>'');'),
'htp.print(''<td width="78%">'' || r.resolucion || ''</td>'');',
'htp.print(''</tr>'');',
'htp.print(''</table>'');',
'htp.print(''<!-- -->'');',
'htp.print(''<!-- TITULAR -->'');',
'htp.print(''<table class="tabla-reporte">'');',
'htp.print(''<thead>'');',
'htp.print(''<tr>'');',
'htp.print(''<th colspan="2">'');',
'htp.print(''<span class="titulo">TITULAR</span>'');',
'htp.print(''</th>'');',
'htp.print(''</tr>'');',
'htp.print(''</thead>'');',
'htp.print(''<tr>'');',
'htp.print(''<td width="22%"><span class="item-title">Tipo de Proveedor:</span></td>'');',
'htp.print(''<td width="78%"><span>'' || r.tipo || ''</span></td>'');',
'htp.print(''</tr>'');',
'htp.print(''<tr>'');',
'htp.print(''<td width="22%"><span class="item-title">C.U.I.T.:</span></td>'');',
'htp.print(''<td width="78%"><span>'' || r.cuit || ''</span></td>'');',
'htp.print(''</tr>'');',
'htp.print(''<tr>'');',
'htp.print(''<td width="22%"><span class="item-title">Raz&oacute;n Social:</span></td>'');',
'htp.print(''<td width="78%"><span>'' || r.razon_social || ''</span></td>'');',
'htp.print(''</tr>'');',
'htp.print(''<tr>'');',
'htp.print(''<td width="22%"><span class="item-title">Domicilio:</span></td>'');',
'htp.print(''<td width="78%"><span>'' || r.domicilio || ''</span></td>'');',
'htp.print(''</tr>'');',
'htp.print(''<tr>'');',
'htp.print(''<td width="22%"><span class="item-title">Rubros:</span></td>'');',
'htp.print(''<td width="78%"><span>'' || r.rubro || ''</span></td>'');',
'htp.print(''</tr>'');',
'htp.print(''<tr>'');',
'htp.print(''<td width="22%"><span class="item-title">Rubros secundarios:</span></td>'');',
'htp.print(''<td width="78%" valign="top"><span>'');',
'for lista in c_r(:P5_ID) loop',
'        htp.print(lista.rubro_secundario || ''<br>'');',
'end loop; ',
'htp.print(''</span></td>'');',
'htp.print(''</tr>'');',
'htp.print(''</table>'');',
'htp.print(''<!-- -->'');',
'htp.print(''<div class="legend-leg">'');',
'htp.print(''<p class="leg">'');',
unistr('htp.print(''SE EXPIDE EL PRESENTE CERTIFICADO, CONFORME A LO ESTABLECIDO MEDIANTE DCTO. S.H. N\00BA 1545/16 \201CREGLAMENTO PARCIAL DEL SISTEMA DE CONTRATACIONES\201D VIGENTE, TITULO X SISTEMA DE INFORMACION DE PROVEEDORES DEL ESTADO MUNICIPAL. AL SOLO EFECTO DE ')
||'SER PRESENTADO ANTE LAS DISTINTAS DEPENDENCIAS DE LA MUNICIPALIDAD DE LA CIUDAD DE SAN FERNANDO DEL VALLE DE CATAMARCA.-'');',
'htp.print(''</p>'');',
'htp.print(''<p class="leg">'');',
'htp.print(''SAN FERNANDO DEL VALLE DE CATAMARCA,''|| r.fecha_dia ||''.-'');',
'htp.print(''</p>'');',
'htp.print(''</div>'');',
'htp.print(''</div>'');',
'htp.print(''</div>'');',
'close c;',
'end;'))
,p_plug_source_type=>'NATIVE_PLSQL'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(50904403112698720)
,p_name=>'P5_ID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(100317552580397207)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(50904887410698721)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Proveedor Existente'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'',
'select p.id into :p5_id',
'from proveedor p',
'where p.persona_id = :PERSONA_ID;',
'',
'end;',
''))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  SELECT 1',
'FROM persona per, PROVEEDOR P',
'WHERE P.PERSONA_ID = per.id',
'  AND per.cuil=:APP_USER ',
'  AND per.PERFIL_ID in (1)'))
,p_process_when_type=>'EXISTS'
);
wwv_flow_api.component_end;
end;
/
