prompt --application/pages/page_00015
begin
--   Manifest
--     PAGE: 00015
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>15
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Solicitudes de RPI'
,p_alias=>'SOLICITUDES-DE-RPI'
,p_step_title=>'Solicitudes de RPI'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'ON'
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(23029806213157381)
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210315111121'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(73381534467078321)
,p_plug_name=>'Solicitudes de RPI'
,p_icon_css_classes=>'fa-file-text-o'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50745897819672297)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(123346725177611628)
,p_plug_name=>'Solicitudes'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'    S.ID,  ',
'    --S.FECHA "Fecha",',
'    to_char(s.fecha,''dd/mm/yyyy - hh24:mi'')||''hrs.'' "Fecha",',
'    T.DESCRIPCION "Solicitud de",',
'    S.INSCRIPC_INMUEBLE_ID "Tipo",',
'    S.FOLIO_REAL "Folio Real",',
'    S.FICHA_FINCA ||''-''|| S.FECHA_ANIO "Ficha Finca",',
'    S.FOJA "Foja",',
'    TH.ESTADO_ID "Estado",',
'    p.APELLIDO||'', ''||p.NOMBRE "Agente",',
'    per.DESCRIPCION ||'': ''|| p2.APELLIDO||'', ''||p2.NOMBRE "Solicitante",',
'    th.observaciones,',
'    CASE ',
'        WHEN S.PERSONA_ID = :PERSONA_ID THEN',
'            ''<a class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" href="'' ||',
'            APEX_PAGE.GET_URL (',
'                p_page   => 31,',
'                p_clear_cache  => 31,',
'                p_items  => ''P31_ID,P31_ORGANISMO'',',
'                p_values => S.ID ||'',''|| T.ORGANISMO_ID )     ||''">''||S.ID||''</a>''',
'        ELSE',
'            ''<a class="t-Button t-Button--hot t-Button--simple" title="Ver Solicitud" href="'' ||',
'            APEX_PAGE.GET_URL (',
'                p_page   => 24,',
'                p_clear_cache  => 24,',
'                p_items  => ''P24_ID'',',
'                p_values => S.ID  )     ||''">''||S.ID||''</a>''   ',
'    END "LINK",',
'    CASE',
'        WHEN RPI_IDENTIFICADOR IS NOT NULL THEN',
'            PKG_REGISTRO_PROPIEDAD.FNC_OBTENER_NRO_IMPRESION(S.ID)',
'        ELSE',
'            NULL',
'    END "IDENTIFICADOR"',
'    ',
' FROM SOLICITUD S,',
'      SOLICITUD_TIPO T, ',
'      PERSONA P2, PERSONA P, PERSONA P3,',
'      PERFIL PER,',
'      catastro_localidad CL,',
'      (SELECT * ',
'       FROM SOLICITUD_ESTADO_HISTORICO ',
'       WHERE id IN (SELECT MAX(id) ',
'                    FROM SOLICITUD_ESTADO_HISTORICO ',
'                    GROUP BY SOLICITUD_ID)) TH ',
' ',
'WHERE S.SOLICITUD_TIPO_ID = T.ID',
'  and S.PADRON_LOCALIDAD_ID = CL.ID(+)',
'  AND S.ID = TH.SOLICITUD_ID',
'  AND TH.USUARIO_ID = P.ID(+)',
'  AND P2.PERFIL_ID = PER.ID',
'  AND T.ORGANISMO_ID = 2',
'  ',
'  AND P3.ID = :PERSONA_ID -- Persona Logeada',
'  AND (   (P3.RPI_PERFIL_DE_TRABAJO = ''I'' AND S.SOLICITUD_TIPO_ID IN (4,5,6,8)) ',
'       OR (P3.RPI_PERFIL_DE_TRABAJO = ''C'' AND S.SOLICITUD_TIPO_ID IN (7,9))',
'       OR (P3.RPI_PERFIL_DE_TRABAJO IS NULL)',
'      )',
'      ',
'  ',
'  AND (',
'          (',
'              (',
'                  (:PERFIL = 14 AND FNC_OBTENER_ULTIMO_ESTADO(s.id) in (1,2,3,4)) --INSCRIPTOR',
'                  OR',
'                  (:PERFIL = 15 AND FNC_OBTENER_ULTIMO_ESTADO(s.id) = 5) --ASESOR',
'                  OR',
'                   :PERFIL = 16 --ADMIN RPI',
'                  OR',
'                   (:PERFIL = 18 AND TH.ESTADO_ID in (2,4) ',
'                    AND (S.SOLICITUD_TIPO_ID in (4,8) ',
'                     OR (S.SOLICITUD_TIPO_ID in (5,6) AND S.RPI_SOLICITAR_ARCHIVO = 1))',
'                    AND S.OBSERVACIONES_DEVOLUCION IS NULL ',
'                    AND S.DEVOLUCION_FILENAME IS NULL) --ARCHIVADOR',
'              ) ',
'                -- AND FNC_OBTENER_ULTIMO_ESTADO(s.id) != 8 --Estado EXPEDIDO',
'          )',
'      OR',
'      S.PERSONA_ID = :PERSONA_ID',
'  )',
'  ',
'  AND S.PERSONA_ID = P2.ID',
'  /*AND ((:ES_INTERNO = ''S'' OR P2.CUIL = :APP_USER)',
'      OR',
'      (S.PERSONA_ID = :PERSONA_ID))*/',
'ORDER BY s.id desc  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(123347170615611629)
,p_name=>'Solicitudes'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No se ha creado ninguna solicitud ...'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_finder_drop_down=>'N'
,p_show_actions_menu=>'N'
,p_report_list_mode=>'NONE'
,p_show_detail_link=>'N'
,p_owner=>'GEPLAM'
,p_internal_uid=>123347170615611629
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23039822003191531)
,p_db_column_name=>'ID'
,p_display_order=>10
,p_column_identifier=>'CC'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23042216785191533)
,p_db_column_name=>'Solicitud de'
,p_display_order=>30
,p_column_identifier=>'CM'
,p_column_label=>'Solicitud De'
,p_column_html_expression=>'<span style="display:block; width:150px">#Solicitud de#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23042615207191533)
,p_db_column_name=>'OBSERVACIONES'
,p_display_order=>140
,p_column_identifier=>'CN'
,p_column_label=>'Observaciones'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23037807782191528)
,p_db_column_name=>'LINK'
,p_display_order=>150
,p_column_identifier=>'CO'
,p_column_label=>unistr('N\00BA')
,p_column_type=>'STRING'
,p_display_text_as=>'WITHOUT_MODIFICATION'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(23038265315191529)
,p_db_column_name=>'Tipo'
,p_display_order=>160
,p_column_identifier=>'CP'
,p_column_label=>'Tipo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(24142938077172695)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(18617099984666203)
,p_db_column_name=>'Estado'
,p_display_order=>180
,p_column_identifier=>'CR'
,p_column_label=>'Estado'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(11166680879963182)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(55267849348609604)
,p_db_column_name=>'Agente'
,p_display_order=>200
,p_column_identifier=>'CZ'
,p_column_label=>'Usuario/Agente'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(55267974305609605)
,p_db_column_name=>'Solicitante'
,p_display_order=>210
,p_column_identifier=>'DA'
,p_column_label=>'Solicitante'
,p_column_type=>'STRING'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_display_condition=>'ES_INTERNO'
,p_display_condition2=>'S'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(75070129980939303)
,p_db_column_name=>'Folio Real'
,p_display_order=>220
,p_column_identifier=>'DB'
,p_column_label=>'Folio Real'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(75070203908939304)
,p_db_column_name=>'Ficha Finca'
,p_display_order=>230
,p_column_identifier=>'DC'
,p_column_label=>'Ficha Finca'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(75070305443939305)
,p_db_column_name=>'Foja'
,p_display_order=>240
,p_column_identifier=>'DD'
,p_column_label=>'Foja'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(9632322652266437)
,p_db_column_name=>'Fecha'
,p_display_order=>250
,p_column_identifier=>'DE'
,p_column_label=>'Fecha'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(15886077013092101)
,p_db_column_name=>'IDENTIFICADOR'
,p_display_order=>260
,p_column_identifier=>'DF'
,p_column_label=>'Identificador'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(123372193075613208)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'230430'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'LINK:Fecha:Solicitud de:IDENTIFICADOR:Estado:Tipo:Folio Real:Ficha Finca:Foja:Solicitante:Agente:OBSERVACIONES:'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(17149844931774993)
,p_report_id=>wwv_flow_api.id(123372193075613208)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRESENTADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRESENTADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>1
,p_column_bg_color=>'#E8E8E8'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(17148633633774986)
,p_report_id=>wwv_flow_api.id(123372193075613208)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EN PROCESO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EN PROCESO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>2
,p_column_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(17147876670774984)
,p_report_id=>wwv_flow_api.id(123372193075613208)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'A CORREGIR'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''A CORREGIR''  '
,p_enabled=>'Y'
,p_highlight_sequence=>3
,p_column_bg_color=>'#FFD6D2'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(17148237333774985)
,p_report_id=>wwv_flow_api.id(123372193075613208)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'CORREGIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''CORREGIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>4
,p_column_bg_color=>'#D6D6D6'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(17149073848774986)
,p_report_id=>wwv_flow_api.id(123372193075613208)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'EXPEDIDO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''EXPEDIDO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>6
,p_column_bg_color=>'#99FF99'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(17149425928774991)
,p_report_id=>wwv_flow_api.id(123372193075613208)
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'Estado'
,p_operator=>'='
,p_expr=>'PRE-APROBADO'
,p_condition_sql=>' (case when ("Estado" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>'#APXWS_COL_NAME# = ''PRE-APROBADO''  '
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_column_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23046575321191549)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(73381534467078321)
,p_button_name=>'CREATE'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Nueva Solicitud'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>'f?p=&APP_ID.:34:&SESSION.::&DEBUG.:34:P34_ORGANISMO:2'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(    (OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 4) = 1)',
'  OR (OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 5) = 1)',
'  OR (OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 6) = 1)',
'  OR (OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 7) = 1)',
'  OR (OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 8) = 1)',
'  OR (OBTENER_TIPO_SOLICITUD_POR_PERFIL(:PERFIL, 9) = 1)',
') ',
'AND to_number(to_char(sysdate, ''HH24'')) >= 7 ',
'AND to_number(to_char(sysdate, ''HH24'')) < 20'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-file-plus'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(23047036111191564)
,p_branch_name=>'Cambiar_Pass_Redirect'
,p_branch_action=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_ID:&PERSONA_ID.'
,p_branch_point=>'BEFORE_HEADER'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>50
,p_branch_condition_type=>'EXISTS'
,p_branch_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select 1',
'from persona',
'where cuil = :app_user',
'  and PASSWORD_CHANGE = 1'))
);
wwv_flow_api.component_end;
end;
/
