prompt --application/pages/page_00035
begin
--   Manifest
--     PAGE: 00035
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>35
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'mercadopago ok'
,p_alias=>'MERCADOPAGO-OK'
,p_step_title=>'mercadopago ok'
,p_autocomplete_on_off=>'OFF'
,p_javascript_file_urls=>'https://secure.mlstatic.com/sdk/javascript/v1/mercadopago.js'
,p_javascript_code=>'var spinner = apex.util.showSpinner();'
,p_javascript_code_onload=>'Mercadopago.setPublishableKey(`&P36_PUBLIC_KEY.`);'
,p_step_template=>wwv_flow_api.id(50713556216672278)
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210125134214'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33384662296602849)
,p_plug_name=>'Procesando Pago'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(50755426344672302)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_grid_column_span=>8
,p_plug_display_column=>3
,p_plug_display_point=>'BODY'
,p_plug_source=>'<img style="width: 100%;" src="#APP_IMAGES#procesando_mercadopago.png">'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(37033058048173001)
,p_branch_name=>'IR P14'
,p_branch_action=>'f?p=&APP_ID.:14:&SESSION.::&DEBUG.:14::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>10
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(33384786593602850)
,p_name=>'TOKEN'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(33384662296602849)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36534807074202001)
,p_name=>'INSTALLMENTS'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(33384662296602849)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36534925593202002)
,p_name=>'PAYMENT_METHOD_ID'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(33384662296602849)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36535016909202003)
,p_name=>'ISSUER_ID'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(33384662296602849)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(36535198239202004)
,p_name=>'MONTO'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(33384662296602849)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(37023057646152305)
,p_name=>'MP'
,p_event_sequence=>10
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_display_when_cond=>'TOKEN'
,p_da_event_comment=>'TOKEN is not null'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(37023203752152307)
,p_event_id=>wwv_flow_api.id(37023057646152305)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'v_response clob;',
'v_token    VARCHAR2(199);',
'v_transaccion_id  TRANSACCION."ID"%TYPE;',
'begin',
'v_token := PKG_SEGURIDAD.fnc_obtener_parametro_gral(''ACCESS_TOKEN_MP'');',
'',
'apex_web_service.g_request_headers(1).name := ''Content-Type'';',
'apex_web_service.g_request_headers(1).value := ''application/json'';',
'',
'v_response := apex_web_service.make_rest_request(',
'                        p_url          => ''https://api.mercadopago.com/v1/payments?access_token=''||v_token,',
'                        p_http_method  => ''POST'',',
'                        p_body         =>  ''{',
'                                                "transaction_amount": ''||:MONTO||'',',
'                                                "token": "''||:TOKEN||''",',
'                                                "description": "Carga billetera de Catastro",',
'                                                "installments": ''||:INSTALLMENTS||'',',
'                                                "payment_method_id": "''||:PAYMENT_METHOD_ID||''",',
'                                                "issuer_id": ''||:ISSUER_ID||'',',
'                                                "payer": {',
'                                                    "email": "''||:P36_CORREO||''"',
'                                                 }',
'                                            }''',
'              );',
'              ',
'apex_json.parse( v_response );',
'apex_debug.message( v_response );',
'',
'/*',
'if apex_json.get_varchar2( p_path => ''status'') = ''rejected'' then --rechazado',
'        apex_debug.message(''ALGO SALIO MAL!'');',
'',
'else*/',
'    --insert datos pago',
'    insert into transaccion ( PERSONA_ID,',
'                              BILLETERA_ID,',
'                              MERCADO_PAGO_ID,',
'                              FECHA,',
'                              TIMESTAMP,',
'                              TRANSACCION_TIPO_ID,',
'                              MONTO,',
'                              MEDIO_PAGO',
'                            )',
'    values (',
'            :PERSONA_ID,',
'            :P36_BILLETERA,',
'            apex_json.get_number( p_path => ''id''),',
'            sysdate,',
'            sysdate,',
'            1, --credito',
'            apex_json.get_number( p_path => ''transaction_amount''),',
'            ''card''',
'           )',
'    returning id into v_transaccion_id;',
'    ',
'    --insert datos detalle pago',
'    insert into DETALLE_TRANSACCION ( TRANSACCION_ID,',
'                                       ESTADO,',
'                                       FECHA,',
'                                       MERCADO_PAGO_RESPONSE  )',
'    values ( v_transaccion_id,',
'            apex_json.get_varchar2( p_path => ''status''),',
'            sysdate,',
'            v_response   );',
'--end if;',
'',
'EXCEPTION',
'    WHEN others THEN',
unistr('        RAISE_APPLICATION_ERROR(-20004, ''Ocurri\00F3 un error al procesar el pago.'');'),
'end;'))
,p_attribute_02=>'TOKEN,INSTALLMENTS,PAYMENT_METHOD_ID,ISSUER_ID,MONTO'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(37033738860173008)
,p_event_id=>wwv_flow_api.id(37023057646152305)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'OK'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(37036175338173032)
,p_name=>'TOKEN IS NULL'
,p_event_sequence=>20
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
,p_display_when_type=>'ITEM_IS_NULL'
,p_display_when_cond=>'TOKEN'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(37036203773173033)
,p_event_id=>wwv_flow_api.id(37036175338173032)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_01=>'CANCEL'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(37033984904173010)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'CLEAR_SESSION'
,p_attribute_01=>'CLEAR_CACHE_FOR_PAGES'
,p_attribute_04=>'36'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'OK'
,p_process_when_type=>'REQUEST_EQUALS_CONDITION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(25649081251252649)
,p_process_sequence=>10
,p_process_point=>'ON_DEMAND'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'CB_MERCADOPAGO'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'    v_json   clob := APEX_APPLICATION.g_x01;',
'    v_transaccion_id  TRANSACCION."ID"%TYPE;',
'BEGIN',
'    apex_json.parse( v_json );',
'',
'    if apex_json.get_varchar2( p_path => ''status'') = ''rejected'' then --rechazado',
'            apex_debug.message(''ALGO SALIO MAL!'');',
'    else',
'      ',
'        --insert datos pago',
'        insert into transaccion ( PERSONA_ID,',
'                               BILLETERA_ID,',
'                               MERCADO_PAGO_ID,',
'                               MEDIO_PAGO,',
'                               FECHA,',
'                               TIMESTAMP,',
'                               TRANSACCION_TIPO_ID,',
'                               MONTO  )',
'        values (',
'                :PERSONA_ID,',
'                :P36_BILLETERA,',
'                apex_json.get_number( p_path => ''id''),',
'                :PAYMENT_METHOD_ID,',
'                sysdate,',
'                sysdate,',
'                1, --credito',
'                apex_json.get_number( p_path => ''transaction_amount'')',
'               )',
'        returning id into v_transaccion_id;',
'',
'        --insert datos detalle pago',
'        insert into DETALLE_TRANSACCION ( TRANSACCION_ID,',
'                                           ESTADO,',
'                                           FECHA,',
'                                           MERCADO_PAGO_RESPONSE  )',
'        values ( v_transaccion_id,',
'                apex_json.get_varchar2( p_path => ''status''),',
'                sysdate,',
'                v_json   );',
'    end if;',
'',
'',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.component_end;
end;
/
