prompt --application/pages/page_00037
begin
--   Manifest
--     PAGE: 00037
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>37
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Reporte Solicitudes Costos'
,p_alias=>'REPORTE-SOLICITUDES-COSTOS'
,p_step_title=>'Costos de Solicitudes'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'20291903887'
,p_last_upd_yyyymmddhh24miss=>'20210309125033'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(37003680169035888)
,p_plug_name=>'Report 1'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select id,',
'       solicitud_tipo_id,',
'       costo,',
'       unidades_tributarias,',
'       valor_unidad_tributaria,',
'       fecha,',
'       (select st.organismo_id',
'        from solicitud_tipo st',
'        where st.id =  solicitud_tipo_id) organismo,',
'       fecha anio,',
'       (costo + (unidades_tributarias * valor_unidad_tributaria)) total',
'  from solicitud_costo',
'  where solicitud_tipo_id in (select ST.id',
'                                from SOLICITUD_TIPO ST, persona u',
'                               WHERE u.cuil = :app_user',
'                                and (   (u.id in (1,2)) -- Administration Rigths',
'                                     or (u.perfil_id = 4 and ST.id in (1,2,3) )',
'                                     or (u.perfil_id = 16 and ST.id in (4,5,6,7,8,9) )',
'                                    )',
'                               group by ST.id)',
'                             '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_page_header=>'Report 1'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(37004032077035889)
,p_name=>'Report 1'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'C'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_detail_link=>'f?p=&APP_ID.:38:&SESSION.::&DEBUG.:RP:P38_ID:\#ID#\'
,p_detail_link_text=>'<span aria-label="Edit"><span class="fa fa-edit" aria-hidden="true" title="Edit"></span></span>'
,p_owner=>'CATASTRO'
,p_internal_uid=>37004032077035889
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37004117865035892)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37022665071152301)
,p_db_column_name=>'ORGANISMO'
,p_display_order=>2
,p_column_identifier=>'G'
,p_column_label=>'Organismo'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(53558424805466271)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37022969596152304)
,p_db_column_name=>'SOLICITUD_TIPO_ID'
,p_display_order=>12
,p_column_identifier=>'I'
,p_column_label=>'Tipo de Solicitud'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(11166262134940062)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37004982892035895)
,p_db_column_name=>'COSTO'
,p_display_order=>22
,p_column_identifier=>'C'
,p_column_label=>'Costo'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37005377866035895)
,p_db_column_name=>'UNIDADES_TRIBUTARIAS'
,p_display_order=>32
,p_column_identifier=>'D'
,p_column_label=>'Unidades Tributarias'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37005746224035896)
,p_db_column_name=>'VALOR_UNIDAD_TRIBUTARIA'
,p_display_order=>42
,p_column_identifier=>'E'
,p_column_label=>'Valor Unidad Tributaria'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37006142359035896)
,p_db_column_name=>'FECHA'
,p_display_order=>62
,p_column_identifier=>'F'
,p_column_label=>'Fecha'
,p_column_type=>'DATE'
,p_display_text_as=>'HIDDEN'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(37023369064152308)
,p_db_column_name=>'TOTAL'
,p_display_order=>72
,p_column_identifier=>'J'
,p_column_label=>'Total'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19098853493915830)
,p_db_column_name=>'ANIO'
,p_display_order=>82
,p_column_identifier=>'K'
,p_column_label=>'Desde el'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(37010529206049504)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'370106'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'ORGANISMO:SOLICITUD_TIPO_ID:COSTO:UNIDADES_TRIBUTARIAS:VALOR_UNIDAD_TRIBUTARIA:TOTAL:ANIO:'
,p_sort_column_1=>'SOLICITUD_TIPO_ID'
,p_sort_direction_1=>'ASC'
,p_sort_column_2=>'ANIO'
,p_sort_direction_2=>'DESC'
,p_sort_column_3=>'ORGANISMO'
,p_sort_direction_3=>'ASC'
,p_sort_column_4=>'0'
,p_sort_direction_4=>'ASC'
,p_sort_column_5=>'0'
,p_sort_direction_5=>'ASC'
,p_sort_column_6=>'0'
,p_sort_direction_6=>'ASC'
,p_break_on=>'ORGANISMO'
,p_break_enabled_on=>'ORGANISMO'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(19562454764096173)
,p_report_id=>wwv_flow_api.id(37010529206049504)
,p_name=>'Catastro'
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ORGANISMO'
,p_operator=>'='
,p_expr=>unistr('Direcci\00F3n General de Catastro')
,p_condition_sql=>' (case when ("ORGANISMO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''Direcci\00F3n General de Catastro''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_row_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(19562893162096173)
,p_report_id=>wwv_flow_api.id(37010529206049504)
,p_name=>'RPI'
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ORGANISMO'
,p_operator=>'='
,p_expr=>unistr('Direcci\00F3n General del Registro de la Propiedad Inmobiliaria')
,p_condition_sql=>' (case when ("ORGANISMO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''Direcci\00F3n General del Registro de la Propiedad Inmobiliaria''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_row_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(37008329517035911)
,p_plug_name=>'Breadcrumb'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50764894046672306)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(50701543475672259)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(50817546519672348)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(37009510935035914)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(37008329517035911)
,p_button_name=>'CREATE'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft'
,p_button_template_id=>wwv_flow_api.id(50816238601672346)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Nuevo Costo de Solicitud'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_redirect_url=>'f?p=&APP_ID.:38:&SESSION.::&DEBUG.:38'
,p_icon_css_classes=>'fa-plus'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(37007259507035906)
,p_name=>'Edit Report - Dialog Closed'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(37003680169035888)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(37007799627035907)
,p_event_id=>wwv_flow_api.id(37007259507035906)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(37003680169035888)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(95964638732847810)
,p_name=>'Edit Report - Dialog Closed_1'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(37009510935035914)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(95964770012847811)
,p_event_id=>wwv_flow_api.id(95964638732847810)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(37003680169035888)
);
wwv_flow_api.component_end;
end;
/
