prompt --application/pages/page_00050
begin
--   Manifest
--     PAGE: 00050
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_page(
 p_id=>50
,p_user_interface_id=>wwv_flow_api.id(50838673332672388)
,p_name=>'Costo Actual de Solicitudes'
,p_alias=>'COSTO-ACTUAL-DE-SOLICITUDES'
,p_step_title=>'Costo Actual de Solicitudes'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'CATASTRO'
,p_last_upd_yyyymmddhh24miss=>'20210309123539'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(56529214622695687)
,p_plug_name=>'Report 1'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(50753543961672301)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select sc.id,',
'       sc.solicitud_tipo_id,',
'       ''$ ''||sc.costo costo,',
'       sc.unidades_tributarias,',
'       ''$ ''||sc.valor_unidad_tributaria valor_unidad_tributaria,',
'       sc.fecha,',
'        o.descripcion organismo,',
'        sc.fecha anio,',
'       ''$ ''||(sc.costo + (sc.unidades_tributarias * sc.valor_unidad_tributaria)) total',
'  from solicitud_costo sc , solicitud_tipo st, organismo o',
'  where sc.solicitud_tipo_id = st.id ',
'    and st.organismo_id = o.id',
'    and sc.id in  (select max(SC.id)',
'                                from solicitud_costo SC',
'                               group by SOLICITUD_TIPO_ID)',
'',
'                               ',
'',
'                             '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_page_header=>'Report 1'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(56529566530695688)
,p_name=>'Report 1'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_search_bar=>'N'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_owner=>'CATASTRO'
,p_internal_uid=>56529566530695688
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19526586281659801)
,p_db_column_name=>'ID'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'Id'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19098590357915827)
,p_db_column_name=>'ORGANISMO'
,p_display_order=>11
,p_column_identifier=>'M'
,p_column_label=>'Organismo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19529353993659802)
,p_db_column_name=>'SOLICITUD_TIPO_ID'
,p_display_order=>21
,p_column_identifier=>'I'
,p_column_label=>'Tipo de Solicitud'
,p_column_type=>'NUMBER'
,p_display_text_as=>'LOV_ESCAPE_SC'
,p_column_alignment=>'CENTER'
,p_rpt_named_lov=>wwv_flow_api.id(11166262134940062)
,p_rpt_show_filter_lov=>'1'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19528162120659802)
,p_db_column_name=>'FECHA'
,p_display_order=>41
,p_column_identifier=>'F'
,p_column_label=>'Fecha'
,p_column_type=>'DATE'
,p_display_text_as=>'HIDDEN'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19098391758915825)
,p_db_column_name=>'COSTO'
,p_display_order=>51
,p_column_identifier=>'K'
,p_column_label=>'Costo'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19527317044659801)
,p_db_column_name=>'UNIDADES_TRIBUTARIAS'
,p_display_order=>61
,p_column_identifier=>'D'
,p_column_label=>'Unidades Tributarias'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19098451517915826)
,p_db_column_name=>'VALOR_UNIDAD_TRIBUTARIA'
,p_display_order=>71
,p_column_identifier=>'L'
,p_column_label=>'Valor Unidad Tributaria'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19098724884915829)
,p_db_column_name=>'TOTAL'
,p_display_order=>91
,p_column_identifier=>'O'
,p_column_label=>'Total'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(19098672712915828)
,p_db_column_name=>'ANIO'
,p_display_order=>101
,p_column_identifier=>'N'
,p_column_label=>'Desde el'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(56536063659709303)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'195301'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'ORGANISMO:SOLICITUD_TIPO_ID:COSTO:UNIDADES_TRIBUTARIAS:VALOR_UNIDAD_TRIBUTARIA:TOTAL:ANIO:'
,p_sort_column_1=>'SOLICITUD_TIPO_ID'
,p_sort_direction_1=>'ASC'
,p_sort_column_2=>'ORGANISMO'
,p_sort_direction_2=>'ASC'
,p_sort_column_3=>'ANIO'
,p_sort_direction_3=>'DESC'
,p_sort_column_4=>'0'
,p_sort_direction_4=>'ASC'
,p_sort_column_5=>'0'
,p_sort_direction_5=>'ASC'
,p_sort_column_6=>'0'
,p_sort_direction_6=>'ASC'
,p_break_on=>'ORGANISMO'
,p_break_enabled_on=>'ORGANISMO'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(19558069273005916)
,p_report_id=>wwv_flow_api.id(56536063659709303)
,p_name=>'Catastro'
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ORGANISMO'
,p_operator=>'='
,p_expr=>unistr('Direcci\00F3n General de Catastro')
,p_condition_sql=>' (case when ("ORGANISMO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''Direcci\00F3n General de Catastro''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_row_bg_color=>'#FFF5CE'
);
wwv_flow_api.create_worksheet_condition(
 p_id=>wwv_flow_api.id(19558407786005916)
,p_report_id=>wwv_flow_api.id(56536063659709303)
,p_name=>'RPI'
,p_condition_type=>'HIGHLIGHT'
,p_allow_delete=>'Y'
,p_column_name=>'ORGANISMO'
,p_operator=>'='
,p_expr=>unistr('Direcci\00F3n General del Registro de la Propiedad Inmobiliaria')
,p_condition_sql=>' (case when ("ORGANISMO" = #APXWS_EXPR#) then #APXWS_HL_ID# end) '
,p_condition_display=>unistr('#APXWS_COL_NAME# = ''Direcci\00F3n General del Registro de la Propiedad Inmobiliaria''  ')
,p_enabled=>'Y'
,p_highlight_sequence=>10
,p_row_bg_color=>'#D0F1CC'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(19532647348659805)
,p_name=>'Edit Report - Dialog Closed'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(56529214622695687)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(19533155753659805)
,p_event_id=>wwv_flow_api.id(19532647348659805)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(56529214622695687)
);
wwv_flow_api.component_end;
end;
/
