prompt --application/shared_components/logic/application_processes/mostrar_archivos
begin
--   Manifest
--     APPLICATION PROCESS: MOSTRAR_ARCHIVOS
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_flow_process(
 p_id=>wwv_flow_api.id(18057779255035363)
,p_process_sequence=>1
,p_process_point=>'ON_DEMAND'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'MOSTRAR_ARCHIVOS'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'  l_blob    BLOB;       ',
'  v_type    varchar2(199);',
'BEGIN',
'',
'  SELECT BLOB_CONTENT,',
'         MIME_TYPE',
'  INTO   l_blob,',
'         v_type',
'  FROM   SOLICITUD_ARCHIVOS',
'  WHERE  ID = :VER_ARCHIVO;',
'  ',
'  OWA_UTIL.mime_header (v_type,',
'                        bclose_header      => FALSE);',
'  ------------------------------------------------------------------------',
'  -- set content length',
'  ------------------------------------------------------------------------',
'  HTP.p (''Content-length: '' || DBMS_LOB.getlength (l_blob));',
'  OWA_UTIL.http_header_close;',
'  ------------------------------------------------------------------------',
'  -- download the file and display in browser',
'  ------------------------------------------------------------------------',
'  WPG_DOCLOAD.download_file (l_blob);',
'  ------------------------------------------------------------------------',
'  -- release resources',
'  ------------------------------------------------------------------------',
'  DBMS_LOB.freetemporary (l_blob);',
'EXCEPTION',
'   WHEN NO_DATA_FOUND THEN',
'       RAISE_APPLICATION_ERROR(-20001, ''no data found ''|| sqlerrm );',
'   WHEN OTHERS THEN',
'       RAISE_APPLICATION_ERROR(-20001, ''OTHERS ''|| sqlerrm);',
'END ;'))
,p_security_scheme=>'MUST_NOT_BE_PUBLIC_USER'
);
wwv_flow_api.component_end;
end;
/
