prompt --application/shared_components/plugins/item_type/hr_bilog_mgoricki_masterdetail
begin
--   Manifest
--     PLUGIN: HR.BILOG.MGORICKI.MASTERDETAIL
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(29902552970050555404)
,p_plugin_type=>'ITEM TYPE'
,p_name=>'HR.BILOG.MGORICKI.MASTERDETAIL'
,p_display_name=>'Master Detail Item'
,p_supported_ui_types=>'DESKTOP'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('ITEM TYPE','HR.BILOG.MGORICKI.MASTERDETAIL'),'')
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  -------------------------------------------',
'  -- function render_master_detail_item',
'  function render_master_detail_item(',
'      p_item                in apex_plugin.t_page_item,',
'      p_plugin              in apex_plugin.t_plugin,',
'      p_value               in varchar2,',
'      p_is_readonly         in boolean,',
'      p_is_printer_friendly in boolean',
'  ) ',
'    return apex_plugin.t_page_item_render_result',
'  is',
'      v_result         apex_plugin.t_page_item_render_result;',
'      v_page_item_name varchar2(100);',
'      v_onload_code    varchar2(2000);',
'  begin',
'    -- debug info',
'    if apex_application.g_debug then',
'      apex_plugin_util.debug_page_item(p_plugin              => p_plugin',
'                                     , p_page_item           => p_item',
'                                     , p_value               => p_value',
'                                     , p_is_readonly         => p_is_readonly',
'                                     , p_is_printer_friendly => p_is_printer_friendly);',
'    end if;',
'',
'    -- generate item name',
'    v_page_item_name := apex_plugin.get_input_name_for_page_item(false);',
'',
'    -- generate HTML  ',
'    sys.htp.prn(''<style type="text/css">'');',
'    sys.htp.prn(''#''||p_item.name||''_CONTAINER, #''||p_item.attribute_01||'' th#MASTER_ID, #''||p_item.attribute_01||'' td[headers=MASTER_ID] {display:block}'');',
'    sys.htp.prn(''.a-IRR-dialogTable option[value=MASTER_ID]{display:block}'');',
'    sys.htp.prn(''tr.row-selected td, .t-Report--altRowsDefault .t-Report-report tr.row-selected:nth-child(odd) .t-Report-cell, .t-Report--altRowsDefault .t-Report-report tr.row-selected:nth-child(even) .t-Report-cell{background-color:''||p_plugin.attr'
||'ibute_02||'' !important}'');',
'    sys.htp.prn(''</style>'');    ',
'    sys.htp.prn(''<input id="''||p_item.name||''" type="hidden" name="''||v_page_item_name||''" value="''||p_value||''" />'');',
'',
'    -- add JS library',
'    ',
'    apex_javascript.add_library(p_name           => ''hr_bilog_mgoricki_master_detail_2.0.1''',
'                              , p_directory      => p_plugin.file_prefix',
'                              , p_check_to_add_minified => true',
'                              , p_skip_extension => false);',
'                              ',
'',
'    -- add onLoadCode',
'    v_onload_code := ''apex.jQuery("input#''||p_item.name||''").master_detail_item({''||',
'            apex_javascript.add_attribute(''itemName'', p_item.name)||',
'            apex_javascript.add_attribute(''mrIdVal'', p_item.attribute_01)||',
'            apex_javascript.add_attribute(''drIdVal'', p_item.attribute_02)||',
'            apex_javascript.add_attribute(''compPk'', p_item.attribute_03)||',
'            apex_javascript.add_attribute(''compPkItems'', p_item.attribute_04)||',
'            apex_javascript.add_attribute(''triggerClickOnLoad'', p_item.attribute_05)||',
'            apex_javascript.add_attribute(''irRepSelector'', p_plugin.attribute_03)||',
'            apex_javascript.add_attribute(''classicRepSelector'', p_plugin.attribute_04)||                        ',
'            apex_javascript.add_attribute(''valueSplitter'', p_plugin.attribute_01, p_add_comma => false)||''});'';',
'',
'    apex_javascript.add_onload_code(p_code => v_onload_code);',
'',
'    v_result.is_navigable := false;',
'    return v_result;',
'  end render_master_detail_item; '))
,p_api_version=>1
,p_render_function=>'render_master_detail_item'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Item plugin that (in declarative way) enables you to define master-detail report regions.</p>',
'<p>Master region can be Interactive or Classic Report (Interactive Grid is not supported yet)</p>',
'<p>Master report region must have column in source query with alias MASTER_ID (for Interactive Report you have to set Static ID column property to MASTER_ID).</p>'))
,p_version_identifier=>'2.0.1'
,p_about_url=>'https://apex.oracle.com/pls/apex/f?p=masterdetailitem'
,p_files_version=>4
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(29913654165380491524)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Separator'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'#'
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Separator that is used in composite primary key concatenation (in source query of master report).</p>',
'',
'<p>For example,<br/>',
'select pk_part01||''#''||pk_part02 as MASTER_ID<br/>',
'     , column01<br/>',
'     , column02<br/>',
'  from master_table;',
'</p>',
'<p>',
'Where pk_part01 and pk_part02 are composite primary key columns, and # is concatenation separator.',
'</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(68032116550061840)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Background Row Color'
,p_attribute_type=>'COLOR'
,p_is_required=>true
,p_default_value=>'#E3F4E5'
,p_is_translatable=>false
,p_help_text=>'Color of selected row of master report.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(68174521318327737)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Interactive Report Row Selector'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'.a-IRR-tableContainer .a-IRR-table tbody tr'
,p_is_translatable=>false
,p_examples=>'.a-IRR-tableContainer .a-IRR-table tbody tr'
,p_help_text=>'Selector of IR row (HTML TR) inside result set. It handles row click event.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(68186742430334723)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Classic Report Row Selector'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'.t-Report-report tbody tr'
,p_is_translatable=>false
,p_examples=>'.t-Report-report tbody tr'
,p_help_text=>'Selector of Classic Report row (HTML TR) inside result set. It handles row click event.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(29913654562837491524)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Master Report ID'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'rgnMaster'
,p_is_translatable=>false
,p_help_text=>'Enter master report region ID (defined in Static ID region attribute). Report region template must have ID HTML tag defined (using substitution strings REGION_STATIC_ID or REGION_ID).'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(29913654976751491525)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Report Region ID'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'rgnDetail'
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Define report region ID (defined in Static ID report region attribute). ',
'Can be a list of report ID''s separated with comma (e.g. detail_report1,detail_report2)'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(29913655373314491525)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Composite Primary Key'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'N'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Flag if primary key is composite primary key. Use concatenation in master report query of MASTER_ID column.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(29913655745448491525)
,p_plugin_attribute_id=>wwv_flow_api.id(29913655373314491525)
,p_display_sequence=>10
,p_display_value=>'No'
,p_return_value=>'N'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(29913656276162491525)
,p_plugin_attribute_id=>wwv_flow_api.id(29913655373314491525)
,p_display_sequence=>20
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(29913656762153491526)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Composite Primary Key Items'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(29913655373314491525)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Values of the composite key are stored on master row click. First value in concatenation is always stored to the master-detail plugin item. Items defined in this attribute are sequentially populated with other values from the concatenation.</p>',
'<p>',
'Separate list of items with comma, for example:',
'P10_ITEM_01,P10_ITEM_02,P10_ITEM_03',
'</p>',
'<p>Separator is defined in Component Settings of a plugin (default is #).</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(29913657146244491526)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Trigger Click on First Row on Page Load or Refresh'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'Flag if refresh of detail report region is triggered on master region row click.'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(29913660368487491531)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_name=>'masterdetailrowclick'
,p_display_name=>'Master Row Click'
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A2A20506C7567696E3A2020416476616E63656420536C696465720A2A2056657273696F6E3A20312E302E30202830372E30332E323031372E290A2A0A2A20417574686F723A20204D61726B6F20476F7269636B692C2042694C6F670A2A204D6169';
wwv_flow_api.g_varchar2_table(2) := '6C3A202020206D676F7269636B6940676D61696C2E636F6D0A2A20547769747465723A20406D676F7269636B690A2A20426C6F673A20202020617065786279672E626C6F6773706F742E636F6D0A2A0A2A20446570656E64733A0A2A2020202061706578';
wwv_flow_api.g_varchar2_table(3) := '2F64656275672E6A730A2A20202020617065782F6974656D2E6A730A2A0A2A204368616E6765733A0A2A0A2A20762E312E302E30202D203230313231313136202D20636865636B20696620726567696F6E20697320696E2074616262656420726567696F';
wwv_flow_api.g_varchar2_table(4) := '6E0A2A20762E312E302E31202D203230313430333131202D206865636B20495220636C617373206669780A2A20762E322E302E30202D203230313630343034202D20726561647920666F72204150455820350A2A20762E322E302E31202D203230313731';
wwv_flow_api.g_varchar2_table(5) := '313135202D206365616E757020666F7220617065782E776F726C640A2A0A2A205075626C6963204D6574686F64733A0A2A0A2A202020476574204F7074696F6E730A2A2020202428272350365F444550544E4F27292E6D61737465725F64657461696C5F';
wwv_flow_api.g_varchar2_table(6) := '6974656D28276F7074696F6E27293B0A2A0A2A2020204765742053656C656374656420526F7720446174610A2A2020202428272350365F444550544E4F27292E6D61737465725F64657461696C5F6974656D282767657453656C6563746564526F774461';
wwv_flow_api.g_varchar2_table(7) := '746127293B0A2A0A2A204E6F7465733A0A2A2020202D20666F7220496E746572616374697665205265706F727420616C77617973207365742053746174696320494420666F72204D41535445525F494420636F6C756D6E732C20616C736F206469736162';
wwv_flow_api.g_varchar2_table(8) := '6C6520636F6C756D6E20686964650A2A0A2A2F0A2166756E6374696F6E2865297B652E776964676574282275692E6D61737465725F64657461696C5F6974656D222C7B6F7074696F6E733A7B6974656D4E616D653A6E756C6C2C6D72496456616C3A6E75';
wwv_flow_api.g_varchar2_table(9) := '6C6C2C6472496456616C3A6E756C6C2C636F6D70506B3A6E756C6C2C636F6D70506B4974656D733A6E756C6C2C74726967676572436C69636B4F6E4C6F61643A6E756C6C2C6D724D6173746572436F6C6C3A2274645B686561646572733D4D4153544552';
wwv_flow_api.g_varchar2_table(10) := '5F49445D222C726F7753656C6563746564435353436C6173733A22726F772D73656C6563746564222C697252657053656C6563746F723A222E612D4952522D7461626C65436F6E7461696E6572202E612D4952522D7461626C652074626F647920747222';
wwv_flow_api.g_varchar2_table(11) := '2C6972526570436C6173733A222E612D4952522D7461626C65222C636C617373696352657053656C6563746F723A222E742D5265706F72742D7265706F72742074626F6479207472222C76616C756553706C69747465723A2223227D2C5F707269766174';
wwv_flow_api.g_varchar2_table(12) := '6553746F726167653A66756E6374696F6E28297B76617220653D746869733B652E5F76616C733D7B6974656D4E616D653A6E756C6C2C63757272656E7456616C3A22222C697349523A21312C6C6173745472696767657265643A6E756C6C7D2C652E5F6F';
wwv_flow_api.g_varchar2_table(13) := '626A3D7B246974656D3A6E756C6C2C246D723A6E756C6C2C2464723A6E756C6C2C246D724472697665723A6E756C6C2C2464724472697665723A6E756C6C7D7D2C5F643A66756E6374696F6E28652C72297B723F617065782E64656275672E6C6F672822';
wwv_flow_api.g_varchar2_table(14) := '4D444920706C7567696E222C225B222B722B225D203A222C65293A617065782E64656275672E6C6F6728224D444920706C7567696E3A222C65297D2C5F653A66756E6374696F6E2865297B617065782E64656275672E6572726F722865297D2C5F636C69';
wwv_flow_api.g_varchar2_table(15) := '636B4F6E4669727374526F773A66756E6374696F6E28297B76617220653D746869733B652E5F6428224D61737465722044657461696C20706C7567696E202D2066697265206F6E2070616765206C6F6164203D20222B652E6F7074696F6E732E74726967';
wwv_flow_api.g_varchar2_table(16) := '676572436C69636B4F6E4C6F6164292C2259223D3D652E6F7074696F6E732E74726967676572436C69636B4F6E4C6F6164262628652E5F6428222E2E2E66697265206F6E2070616765206C6F6164202D206869646520726567696F6E2023222B652E5F6F';
wwv_flow_api.g_varchar2_table(17) := '626A2E2464722E61747472282269642229292C652E5F76616C732E697349523F28652E5F6428222E2E2E697320495222292C652E5F6F626A2E246D724472697665724C6976652E706172656E7428292E66696E64282274723A6E74682D6368696C642832';
wwv_flow_api.g_varchar2_table(18) := '2922292E747269676765722822636C69636B2229293A28652E5F6428222E2E2E6973206E6F7420495222292C652E5F6F626A2E246D724472697665724C6976652E706172656E7428292E66696E64282274723A6E74682D6368696C6428312922292E7472';
wwv_flow_api.g_varchar2_table(19) := '69676765722822636C69636B222929297D2C5F6669784865616465723A66756E6374696F6E28297B76617220723D746869732C743D722E5F6F626A2E246D722E66696E6428222E612D4952522D7461626C652074626F6479207468234D41535445525F49';
wwv_flow_api.g_varchar2_table(20) := '4422292E696E64657828293B722E5F6F626A2E246D722E66696E6428222E612D4952522D7461626C65436F6E7461696E6572202E612D4952522D7461626C652074626F64792074723A6E74682D6368696C642831292074683A6E74682D6368696C642822';
wwv_flow_api.g_varchar2_table(21) := '2B287061727365496E742874292B31292B222922292E6373732822646973706C6179222C226E6F6E6522292C652877696E646F77292E7472696767657228226170657877696E646F77726573697A656422292C722E5F76616C732E697349523F722E5F6F';
wwv_flow_api.g_varchar2_table(22) := '626A2E246D724472697665724C6976653D722E5F6F626A2E246D722E66696E6428722E6F7074696F6E732E697252657053656C6563746F72293A722E5F6F626A2E246D724472697665724C6976653D722E5F6F626A2E246D722E66696E6428722E6F7074';
wwv_flow_api.g_varchar2_table(23) := '696F6E732E636C617373696352657053656C6563746F72292C722E5F6F626A2E246D724472697665724C6976652E656163682866756E6374696F6E28297B2274626F6479223D3D652874686973292E706172656E7428292E6765742830292E6C6F63616C';
wwv_flow_api.g_varchar2_table(24) := '4E616D652626652874686973292E6373732822637572736F72222C22706F696E74657222297D297D2C5F636865636B4D61737465725265706F72743A66756E6374696F6E2872297B76617220743D746869732C613D21302C693D21312C6F3D21313B7265';
wwv_flow_api.g_varchar2_table(25) := '7475726E20742E5F6428227374617274222C22636865636B4D61737465725265706F727422292C693D303D3D652822626F647922292E66696E6428742E5F6F626A2E246D72292E6C656E6774682C6F3D303D3D652822626F647922292E66696E6428742E';
wwv_flow_api.g_varchar2_table(26) := '5F6F626A2E246472292E6C656E6774682C28697C7C6F29262628692626742E5F6528226E6F206D6173746572207265706F727420222B742E6F7074696F6E732E6D72496456616C2B22206F6E20706167652022292C6F2626742E5F6528226E6F20646574';
wwv_flow_api.g_varchar2_table(27) := '61696C207265706F727420222B742E6F7074696F6E732E6472496456616C2B22206F6E2070616765202229292C722626766F69642030213D3D72262628303D3D722E66696E6428742E6F7074696F6E732E6D724D6173746572436F6C6C292E6C656E6774';
wwv_flow_api.g_varchar2_table(28) := '68262628742E5F76616C732E697349523F742E5F6528224E6F20222B742E6F7074696F6E732E6D724D6173746572436F6C6C2B2220636F6C756D6E2E20466F7220495220736574205374617469632049442070726F706572747920746F204D4153544552';
wwv_flow_api.g_varchar2_table(29) := '5F49442E22293A742E5F6528224E6F20222B742E6F7074696F6E732E6D724D6173746572436F6C6C2B2220636F6C756D6E22292C613D2131292C722E686173436C6173732822726F772D73656C65637465642229262628742E5F6428224D617374657220';
wwv_flow_api.g_varchar2_table(30) := '726F7720616C72656164792073656C656374656422292C613D213129292C742E5F642822656E64222C22636865636B4D61737465725265706F72742C20726573706F6E7365203D20222B61292C617D2C5F73657443757272656E7456616C75653A66756E';
wwv_flow_api.g_varchar2_table(31) := '6374696F6E2865297B76617220723D746869733B652E706172656E7428292E66696E64282274722E222B722E6F7074696F6E732E726F7753656C6563746564435353436C617373292E72656D6F7665436C61737328722E6F7074696F6E732E726F775365';
wwv_flow_api.g_varchar2_table(32) := '6C6563746564435353436C617373292C652E616464436C61737328722E6F7074696F6E732E726F7753656C6563746564435353436C617373292C722E5F76616C732E63757272656E7456616C3D652E66696E6428722E6F7074696F6E732E6D724D617374';
wwv_flow_api.g_varchar2_table(33) := '6572436F6C6C292E7465787428292C303D3D722E5F76616C732E63757272656E7456616C2E6C656E6774682626722E5F6428224D61737465722D64657461696C204974656D202D20726F772076616C7565206973206E756C6C22297D2C5F6765744A736F';
wwv_flow_api.g_varchar2_table(34) := '6E446174613A66756E6374696F6E2872297B76617220743D746869732C613D227B222C693D22223B72657475726E20722E6368696C6472656E28292E656163682866756E6374696F6E28297B76617220723D652874686973293B693D22222C612B3D2722';
wwv_flow_api.g_varchar2_table(35) := '272B722E6174747228226865616465727322292B27223A22273B76617220743B722E66696E642822696E70757422292E6C656E6774683E303F2268696464656E223D3D722E66696E642822696E70757422292E6174747228227479706522293F28743D72';
wwv_flow_api.g_varchar2_table(36) := '2E68746D6C28292E7265706C616365282F222F672C222671756F743B22292E7265706C616365282F5C6E2F672C222022292E7265706C616365282F5C5C2F672C222F22292E7265706C616365282F3C696E7075742E2A2F2C2222292C722E66696E642822';
wwv_flow_api.g_varchar2_table(37) := '696E7075745B747970653D68696464656E5D22292E656163682866756E6374696F6E28297B692B3D272248494444454E5F272B652874686973292E617474722822636C61737322292B27223A22272B652874686973292E76616C28292E7265706C616365';
wwv_flow_api.g_varchar2_table(38) := '282F222F672C222671756F743B22292E7265706C616365282F5C6E2F672C222022292E7265706C616365282F5C5C2F672C222F22292B27222C277D29293A743D722E66696E642822696E70757422292E76616C28292E7265706C616365282F222F672C22';
wwv_flow_api.g_varchar2_table(39) := '2671756F743B22292E7265706C616365282F5C6E2F672C222022292E7265706C616365282F5C5C2F672C222F22293A743D722E66696E64282273656C65637422292E6C656E6774683E303F722E66696E64282273656C65637422292E76616C28292E7265';
wwv_flow_api.g_varchar2_table(40) := '706C616365282F222F672C222671756F743B22292E7265706C616365282F5C6E2F672C223C62723E22292E7265706C616365282F5C5C2F672C222F22293A722E68746D6C28292E7265706C616365282F222F672C222671756F743B22292E7265706C6163';
wwv_flow_api.g_varchar2_table(41) := '65282F5C6E2F672C222022292E7265706C616365282F5C5C2F672C222F22292C612B3D693F742B27222C272B693A742B27222C277D292C613D612E736C69636528302C2D31292B227D222C742E5F642861292C742E5F76616C732E726F77446174613D6A';
wwv_flow_api.g_varchar2_table(42) := '51756572792E70617273654A534F4E2861292C742E5F76616C732E726F77446174617D2C67657453656C6563746564526F77446174613A66756E6374696F6E28297B72657475726E20746869732E5F76616C732E726F77446174617D2C5F726566726573';
wwv_flow_api.g_varchar2_table(43) := '6844657461696C3A66756E6374696F6E28297B666F722876617220723D746869732C743D722E6F7074696F6E732E6472496456616C2E73706C697428222C22292C613D303B613C742E6C656E6774683B2B2B6129617065782E726567696F6E28745B615D';
wwv_flow_api.g_varchar2_table(44) := '292E7265667265736828292C722E5F76616C732E63757272656E7456616C3E30262665282223222B745B615D292E73686F7728297D2C5F696E69743A66756E6374696F6E28297B76617220723D746869732C743D21313B722E5F7072697661746553746F';
wwv_flow_api.g_varchar2_table(45) := '7261676528292C722E5F76616C732E6974656D4E616D653D722E6F7074696F6E732E6974656D4E616D652C722E5F6F626A2E246974656D3D65282223222B722E5F76616C732E6974656D4E616D65292C722E5F6F626A2E246D723D65282223222B722E6F';
wwv_flow_api.g_varchar2_table(46) := '7074696F6E732E6D72496456616C292C722E5F6F626A2E2464723D65282223222B722E6F7074696F6E732E6472496456616C292C722E5F6428227374617274222C22696E697422292C722E5F6428222E2E6974656D4E616D65203D20222B722E5F76616C';
wwv_flow_api.g_varchar2_table(47) := '732E6974656D4E616D652C22696E697422292C722E5F6428222E2E6D61737465725265706F72744964203D20222B722E6F7074696F6E732E6D72496456616C2C22696E697422292C722E5F6428222E2E64657461696C5265706F72744964203D20222B72';
wwv_flow_api.g_varchar2_table(48) := '2E6F7074696F6E732E6472496456616C2C22696E697422293B666F722876617220613D722E6F7074696F6E732E6472496456616C2E73706C697428222C22292C693D303B693C612E6C656E6774683B2B2B6929615B695D3D2223222B615B695D3B722E5F';
wwv_flow_api.g_varchar2_table(49) := '6F626A2E2464723D6528612E6A6F696E28222C2229292C743D722E5F636865636B4D61737465725265706F727428292C74262628722E5F6F626A2E246D722E66696E6428722E6F7074696F6E732E6972526570436C617373292E6C656E6774683E303F28';
wwv_flow_api.g_varchar2_table(50) := '722E5F6428222E2E6D6173746572207265706F7274206973204952207265706F7274222C22696E697422292C722E5F6F626A2E246D724472697665723D722E5F6F626A2E246D722E66696E6428722E6F7074696F6E732E697252657053656C6563746F72';
wwv_flow_api.g_varchar2_table(51) := '292C722E5F76616C732E73656C6563746F723D722E6F7074696F6E732E697252657053656C6563746F722C722E5F76616C732E697349523D2130293A28722E5F6428222E2E6D6173746572207265706F7274206973206E6F74204952207265706F727422';
wwv_flow_api.g_varchar2_table(52) := '2C22696E697422292C722E5F6F626A2E246D724472697665723D722E5F6F626A2E246D722E66696E6428722E6F7074696F6E732E636C617373696352657053656C6563746F72292C722E5F76616C732E73656C6563746F723D722E6F7074696F6E732E63';
wwv_flow_api.g_varchar2_table(53) := '6C617373696352657053656C6563746F72292C722E5F6F626A2E246D724472697665722E636C6F73657374282274626F647922292E616464436C61737328226D617374657244657461696C5265706F727422292C722E5F6F626A2E246D722E6F6E282263';
wwv_flow_api.g_varchar2_table(54) := '6C69636B222C722E5F76616C732E73656C6563746F722C66756E6374696F6E2861297B722E5F6428227374617274222C226D61737465722E726F77636C69636B22293B76617220693D652874686973293B69662828743D722E5F636865636B4D61737465';
wwv_flow_api.g_varchar2_table(55) := '725265706F727428692929262628722E5F73657443757272656E7456616C75652869292C722E5F76616C732E63757272656E7456616C2E6C656E6774683E3029297B696628617065782E646562756728224D61737465722044657461696C20706C756769';
wwv_flow_api.g_varchar2_table(56) := '6E2020202E2E2E2E726F772076616C7565203D20222B722E5F76616C732E63757272656E7456616C292C224E223D3D722E6F7074696F6E732E636F6D70506B29247328722E5F76616C732E6974656D4E616D652C722E5F76616C732E63757272656E7456';
wwv_flow_api.g_varchar2_table(57) := '616C293B656C73657B766172206F3D722E5F76616C732E63757272656E7456616C2E73706C697428722E6F7074696F6E732E76616C756553706C6974746572292C733D313B247328722E5F76616C732E6974656D4E616D652C6F5B305D292C652E656163';
wwv_flow_api.g_varchar2_table(58) := '6828722E6F7074696F6E732E636F6D70506B4974656D732E73706C697428222C22292C66756E6374696F6E28297B24732865282223222B74686973295B305D2C6F5B735D292C732B2B7D297D766172206C3D722E5F6765744A736F6E446174612869293B';
wwv_flow_api.g_varchar2_table(59) := '722E5F7265667265736844657461696C28292C722E5F6F626A2E246974656D2E7472696767657228226D617374657264657461696C726F77636C69636B222C6C297D722E5F642822656E64222C226D61737465722E726F77636C69636B22297D292C722E';
wwv_flow_api.g_varchar2_table(60) := '5F6F626A2E246D722E62696E642822617065786265666F726572656672657368222C66756E6374696F6E28297B722E5F6428227374617274222C226D61737465722E617065786265666F72657265667265736822292C722E5F6F626A2E2464722E686964';
wwv_flow_api.g_varchar2_table(61) := '6528292C722E5F642822656E64222C226D61737465722E617065786265666F72657265667265736822297D292C722E5F6F626A2E246D722E62696E6428226170657872656672657368222C66756E6374696F6E2865297B722E5F6428227374617274222C';
wwv_flow_api.g_varchar2_table(62) := '226D61737465722E617065787265667265736822292C722E5F76616C732E6C6173745472696767657265643D224D4153544552222C722E5F642822656E64222C226D61737465722E617065787265667265736822297D292C722E5F6F626A2E246D722E6F';
wwv_flow_api.g_varchar2_table(63) := '6E282261706578616674657272656672657368222C66756E6374696F6E28297B696628722E5F6428227374617274222C226D61737465722E6170657861667465727265667265736822292C722E5F66697848656164657228292C303D3D722E5F6F626A2E';
wwv_flow_api.g_varchar2_table(64) := '246D724472697665724C6976652E6C656E677468297B696628722E5F6428226E6F206461746120666F756E642C207265736574204D41535445525F4944222C226D61737465722E6170657861667465727265667265736822292C722E5F76616C732E6375';
wwv_flow_api.g_varchar2_table(65) := '7272656E7456616C3D22222C722E5F76616C732E726F77446174613D22222C247328722E5F76616C732E6974656D4E616D652C2222292C2259223D3D722E6F7074696F6E732E636F6D70506B297B76617220743D313B652E6561636828722E6F7074696F';
wwv_flow_api.g_varchar2_table(66) := '6E732E636F6D70506B4974656D732E73706C697428222C22292C66756E6374696F6E28297B24732865282223222B74686973295B305D2C2222292C742B2B7D297D722E5F7265667265736844657461696C28297D656C73652259223D3D722E6F7074696F';
wwv_flow_api.g_varchar2_table(67) := '6E732E74726967676572436C69636B4F6E4C6F61643F28722E5F642822636C69636B206F6E20666972737420726F77222C226D61737465722E6170657861667465727265667265736822292C722E5F636C69636B4F6E4669727374526F772829293A2222';
wwv_flow_api.g_varchar2_table(68) := '213D3D722E5F6F626A2E246974656D2E76616C28293F28722E5F64282273656C65637420726F77222C226D61737465722E6170657861667465727265667265736822292C722E5F6F626A2E246D724472697665724C6976652E706172656E7428292E6669';
wwv_flow_api.g_varchar2_table(69) := '6E64282774645B686561646572733D224D41535445525F4944225D27292E66696C7465722866756E6374696F6E28297B72657475726E20652874686973292E7465787428293D3D3D722E5F6F626A2E246974656D2E76616C28297D292E636C6F73657374';
wwv_flow_api.g_varchar2_table(70) := '2822747222292E747269676765722822636C69636B2229293A28722E5F642822686964652064657461696C222C226D61737465722E6170657861667465727265667265736822292C722E5F6F626A2E2464722E6869646528292C722E5F6F626A2E246D72';
wwv_flow_api.g_varchar2_table(71) := '2E7472696767657228224D617374657244657461696C4E6F74436C69636B65642229293B722E5F6F626A2E246D722E7472696767657228224D6173746572416674657252656672657368456E6422292C722E5F642822656E64222C226D61737465722E61';
wwv_flow_api.g_varchar2_table(72) := '70657861667465727265667265736822297D292C722E5F6F626A2E2464722E6F6E2822617065786265666F726572656672657368222C66756E6374696F6E28297B722E5F6428227374617274222C2264657461696C2E617065786265666F726572656672';
wwv_flow_api.g_varchar2_table(73) := '65736822292C722E5F76616C732E63757272656E7456616C2626652874686973292E73686F7728292C722E5F642822656E64222C2264657461696C2E617065786265666F72657265667265736822297D292C722E5F6F626A2E2464722E62696E64282261';
wwv_flow_api.g_varchar2_table(74) := '70657872656672657368222C66756E6374696F6E28297B722E5F6428227374617274222C2264657461696C2E617065787265667265736822292C722E5F76616C732E6C6173745472696767657265643D2244455441494C222C722E5F642822656E64222C';
wwv_flow_api.g_varchar2_table(75) := '2264657461696C2E617065787265667265736822297D292C652866756E6374696F6E28297B722E5F6F626A2E2464722E6869646528292C722E5F66697848656164657228292C722E5F636C69636B4F6E4669727374526F7728292C722E5F6F626A2E246D';
wwv_flow_api.g_varchar2_table(76) := '722E7472696767657228224D617374657244657461696C4F6E4C6F6164456E6422292C617065782E646562756728222E2E2E204D617374657244657461696C4F6E4C6F6164456E6420747269676765726564206F6E2023222B722E5F6F626A2E246D722E';
wwv_flow_api.g_varchar2_table(77) := '61747472282269642229297D29292C722E5F6F626A2E246D722E7472696767657228224D617374657244657461696C496E6974456E6422292C617065782E646562756728222E2E2E204D617374657244657461696C496E6974456E642074726967676572';
wwv_flow_api.g_varchar2_table(78) := '6564206F6E2023222B722E5F6F626A2E246D722E61747472282269642229292C617065782E646562756728224D61737465722044657461696C20706C7567696E202D20696E697420656E6422297D7D297D28617065782E6A5175657279293B0A2F2F2320';
wwv_flow_api.g_varchar2_table(79) := '736F757263654D617070696E6755524C3D68725F62696C6F675F6D676F7269636B695F6D61737465725F64657461696C5F322E302E312E6D696E2E6A732E6D61700A';
null;
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(68237988754979702)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_file_name=>'hr_bilog_mgoricki_master_detail_2.0.1.min.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0D0A2A20506C7567696E3A2020416476616E63656420536C696465720D0A2A2056657273696F6E3A20312E302E30202830372E30332E323031372E290D0A2A0D0A2A20417574686F723A20204D61726B6F20476F7269636B692C2042694C6F670D0A';
wwv_flow_api.g_varchar2_table(2) := '2A204D61696C3A202020206D676F7269636B6940676D61696C2E636F6D0D0A2A20547769747465723A20406D676F7269636B690D0A2A20426C6F673A20202020617065786279672E626C6F6773706F742E636F6D0D0A2A0D0A2A20446570656E64733A0D';
wwv_flow_api.g_varchar2_table(3) := '0A2A20202020617065782F64656275672E6A730D0A2A20202020617065782F6974656D2E6A730D0A2A0D0A2A204368616E6765733A0D0A2A0D0A2A20762E312E302E30202D203230313231313136202D20636865636B20696620726567696F6E20697320';
wwv_flow_api.g_varchar2_table(4) := '696E2074616262656420726567696F6E0D0A2A20762E312E302E31202D203230313430333131202D206865636B20495220636C617373206669780D0A2A20762E322E302E30202D203230313630343034202D20726561647920666F72204150455820350D';
wwv_flow_api.g_varchar2_table(5) := '0A2A20762E322E302E31202D203230313731313135202D206365616E757020666F7220617065782E776F726C640D0A2A0D0A2A205075626C6963204D6574686F64733A0D0A2A0D0A2A202020476574204F7074696F6E730D0A2A2020202428272350365F';
wwv_flow_api.g_varchar2_table(6) := '444550544E4F27292E6D61737465725F64657461696C5F6974656D28276F7074696F6E27293B0D0A2A0D0A2A2020204765742053656C656374656420526F7720446174610D0A2A2020202428272350365F444550544E4F27292E6D61737465725F646574';
wwv_flow_api.g_varchar2_table(7) := '61696C5F6974656D282767657453656C6563746564526F774461746127293B0D0A2A0D0A2A204E6F7465733A0D0A2A2020202D20666F7220496E746572616374697665205265706F727420616C77617973207365742053746174696320494420666F7220';
wwv_flow_api.g_varchar2_table(8) := '4D41535445525F494420636F6C756D6E732C20616C736F2064697361626C6520636F6C756D6E20686964650D0A2A0D0A2A2F0D0A2866756E6374696F6E20282429207B0D0A2020242E776964676574282275692E6D61737465725F64657461696C5F6974';
wwv_flow_api.g_varchar2_table(9) := '656D222C207B0D0A202020206F7074696F6E73203A207B0D0A2020202020206974656D4E616D65203A206E756C6C2C0D0A2020202020206D72496456616C203A206E756C6C2C202F2F206964206F66206D6173746572207265706F727420726567696F6E';
wwv_flow_api.g_varchar2_table(10) := '0D0A2020202020206472496456616C203A206E756C6C2C202F2F206964206F662064657461696C207265706F727420726567696F6E640D0A202020202020636F6D70506B203A206E756C6C2C202F2F206973206B657920696E204D41535445525F494420';
wwv_flow_api.g_varchar2_table(11) := '636F6D706F73697465207072696D617279206B65790D0A202020202020636F6D70506B4974656D73203A206E756C6C2C202F2F206C697374206F66206974656D7320746F207365742076616C75650D0A20202020202074726967676572436C69636B4F6E';
wwv_flow_api.g_varchar2_table(12) := '4C6F6164203A206E756C6C2C0D0A2020202020206D724D6173746572436F6C6C203A202774645B686561646572733D4D41535445525F49445D272C0D0A202020202020726F7753656C6563746564435353436C617373203A2027726F772D73656C656374';
wwv_flow_api.g_varchar2_table(13) := '6564272C0D0A202020202020697252657053656C6563746F72203A20272E612D4952522D7461626C65436F6E7461696E6572202E612D4952522D7461626C652074626F6479207472272C0D0A2020202020206972526570436C6173733A20272E612D4952';
wwv_flow_api.g_varchar2_table(14) := '522D7461626C65272C0D0A202020202020636C617373696352657053656C6563746F72203A20272E742D5265706F72742D7265706F72742074626F6479207472272C0D0A20202020202076616C756553706C6974746572203A202723270D0A202020207D';
wwv_flow_api.g_varchar2_table(15) := '2C0D0A0D0A202020205F7072697661746553746F72616765203A2066756E6374696F6E202829207B0D0A20202020202076617220756977203D20746869733B0D0A2020202020207569772E5F76616C73203D207B0D0A20202020202020206974656D4E61';
wwv_flow_api.g_varchar2_table(16) := '6D65203A206E756C6C2C0D0A202020202020202063757272656E7456616C203A2027272C0D0A202020202020202069734952203A2066616C73652C0D0A20202020202020206C617374547269676765726564203A206E756C6C2C0D0A2020202020207D3B';
wwv_flow_api.g_varchar2_table(17) := '0D0A2020202020207569772E5F6F626A203D207B0D0A2020202020202020246974656D203A206E756C6C2C0D0A2020202020202020246D72203A206E756C6C2C0D0A2020202020202020246472203A206E756C6C2C0D0A2020202020202020246D724472';
wwv_flow_api.g_varchar2_table(18) := '69766572203A206E756C6C2C0D0A2020202020202020246472447269766572203A206E756C6C0D0A2020202020207D3B0D0A202020207D2C0D0A0D0A202020202F2F204C6F63616C2064656275672066756E6374696F6E0D0A202020205F643A2066756E';
wwv_flow_api.g_varchar2_table(19) := '6374696F6E2028704D6573736167652C20704D6F64756C65297B0D0A20202020202069662028704D6F64756C65297B0D0A2020202020202020617065782E64656275672E6C6F6728274D444920706C7567696E272C20275B272B704D6F64756C652B275D';
wwv_flow_api.g_varchar2_table(20) := '203A272C20704D657373616765293B0D0A2020202020207D656C73657B0D0A2020202020202020617065782E64656275672E6C6F6728274D444920706C7567696E3A272C20704D657373616765293B0D0A2020202020207D0D0A202020207D2C0D0A0D0A';
wwv_flow_api.g_varchar2_table(21) := '202020202F2F204C6F63616C206572726F722066756E6374696F6E0D0A202020205F653A2066756E6374696F6E20287054657874297B0D0A202020202020617065782E64656275672E6572726F72287054657874293B0D0A202020207D2C0D0A0D0A2020';
wwv_flow_api.g_varchar2_table(22) := '20202F2F20436C69636B206F6E20666972737420726F772066756E6374696F6E0D0A09095F636C69636B4F6E4669727374526F773A2066756E6374696F6E2028297B0D0A09090976617220756977203D20746869733B0D0A0909097569772E5F64282773';
wwv_flow_api.g_varchar2_table(23) := '74617274272C275F636C69636B4F6E4669727374526F7727293B0D0A090909696620287569772E6F7074696F6E732E74726967676572436C69636B4F6E4C6F6164203D3D2027592729207B0D0A090909097569772E5F6428272E2E2E66697265206F6E20';
wwv_flow_api.g_varchar2_table(24) := '70616765206C6F6164202D206869646520726567696F6E202327202B207569772E5F6F626A2E2464722E61747472282769642729293B0D0A0D0A09090909696620287569772E5F76616C732E6973495229207B0D0A202020202020202020207569772E5F';
wwv_flow_api.g_varchar2_table(25) := '6428272E2E2E6973204952272C275F636C69636B4F6E4669727374526F7727293B0D0A09090909097569772E5F6F626A2E246D724472697665724C6976652E706172656E7428292E66696E64282774723A6E74682D6368696C6428322927292E74726967';
wwv_flow_api.g_varchar2_table(26) := '6765722827636C69636B27293B0D0A090909097D20656C7365207B0D0A202020202020202020207569772E5F6428272E2E2E6973206E6F74204952272C275F636C69636B4F6E4669727374526F7727293B0D0A09090909097569772E5F6F626A2E246D72';
wwv_flow_api.g_varchar2_table(27) := '4472697665724C6976652E706172656E7428292E66696E64282774723A6E74682D6368696C6428312927292E747269676765722827636C69636B27293B0D0A090909097D0D0A0909097D0D0A2020202020207569772E5F642827656E64272C275F636C69';
wwv_flow_api.g_varchar2_table(28) := '636B4F6E4669727374526F7727293B0D0A09097D2C0D0A0D0A202020202F2F2046697820666F722049522E2048696465204D41535445525F494420636F6C756D6E206964206865616465720D0A09095F6669784865616465723A2066756E6374696F6E28';
wwv_flow_api.g_varchar2_table(29) := '297B0D0A0909202076617220756977203D20746869733B0D0A2020202020207569772E5F6428277374617274272C275F66697848656164657227293B0D0A0D0A2020202020202F2F206765742073656C6563746F720D0A09092020696620287569772E5F';
wwv_flow_api.g_varchar2_table(30) := '76616C732E6973495229207B0D0A090909097569772E5F6F626A2E246D724472697665724C697665203D207569772E5F6F626A2E246D722E66696E64287569772E6F7074696F6E732E697252657053656C6563746F72293B0D0A20202020202020207661';
wwv_flow_api.g_varchar2_table(31) := '722076456C656D506F736974696F6E203D207569772E5F6F626A2E246D722E66696E64287569772E6F7074696F6E732E6972526570436C6173732B272074626F6479207468234D41535445525F494427292E696E64657828293B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(32) := '7569772E5F6F626A2E246D724472697665724C6976652E706172656E7428292E66696E64282774723A6E74682D6368696C642831292074683A6E74682D6368696C6428272B287061727365496E742876456C656D506F736974696F6E292B31292B272927';
wwv_flow_api.g_varchar2_table(33) := '292E6373732827646973706C6179272C20276E6F6E6527293B0D0A0909097D20656C7365207B0D0A090909097569772E5F6F626A2E246D724472697665724C697665203D207569772E5F6F626A2E246D722E66696E64287569772E6F7074696F6E732E63';
wwv_flow_api.g_varchar2_table(34) := '6C617373696352657053656C6563746F72293B0D0A0909097D0D0A0D0A0909092F2F20736574206375726F73720D0A0909097569772E5F6F626A2E246D724472697665724C6976652E656163682866756E6374696F6E202829207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(35) := '20766172207654686973203D20242874686973293B0D0A20202020202020206966202876546869732E706172656E7428292E6765742830292E6C6F63616C4E616D65203D3D202774626F64792729207B0D0A2020202020202020202076546869732E6373';
wwv_flow_api.g_varchar2_table(36) := '732827637572736F72272C2027706F696E74657227293B0D0A20202020202020207D0D0A2020202020207D293B0D0A0D0A2020202020207569772E5F642827656E64272C275F66697848656164657227293B0D0A09097D2C0D0A0D0A202020202F2F2063';
wwv_flow_api.g_varchar2_table(37) := '6865636B204D6173746572205265706F7274202D2075736564206F6E20726F77636C69636B20616E64206F6E206C6F61640D0A202020205F636865636B4D61737465725265706F72743A2066756E6374696F6E287043757272656E74526F7724297B0D0A';
wwv_flow_api.g_varchar2_table(38) := '20202020202076617220756977203D20746869733B0D0A2020202020207661722076436865636B4D6173746572203D20747275653B0D0A20202020202076617220764E6F4D6173746572203D2066616C73653B0D0A20202020202076617220764E6F4465';
wwv_flow_api.g_varchar2_table(39) := '7461696C203D2066616C73653B0D0A2020202020207569772E5F6428277374617274272C2027636865636B4D61737465725265706F727427293B0D0A0D0A2020202020202F2F20636865636B206966206D6173746572207265706F727420657869737473';
wwv_flow_api.g_varchar2_table(40) := '20616E642064657461696C207265706F7274206578697374730D0A202020202020764E6F4D6173746572203D20242827626F647927292E66696E64287569772E5F6F626A2E246D72292E6C656E677468203D3D20303B0D0A202020202020764E6F446574';
wwv_flow_api.g_varchar2_table(41) := '61696C203D20242827626F647927292E66696E64287569772E5F6F626A2E246472292E6C656E677468203D3D20303B0D0A202020202020696628764E6F4D6173746572207C7C20764E6F44657461696C297B0D0A0D0A20202020202020202F2F20696620';
wwv_flow_api.g_varchar2_table(42) := '6E6F206D6173746572207265706F7274206F6E20706167650D0A202020202020202069662028764E6F4D617374657229207B0D0A202020202020202020207569772E5F6528276E6F206D6173746572207265706F72742027202B207569772E6F7074696F';
wwv_flow_api.g_varchar2_table(43) := '6E732E6D72496456616C202B2027206F6E20706167652027293B0D0A20202020202020207D0D0A0D0A20202020202020202F2F206966206E6F2064657461696C207265706F7274206F6E20706167650D0A202020202020202069662028764E6F44657461';
wwv_flow_api.g_varchar2_table(44) := '696C29207B0D0A202020202020202020207569772E5F6528276E6F2064657461696C207265706F72742027202B207569772E6F7074696F6E732E6472496456616C202B2027206F6E20706167652027293B0D0A20202020202020207D0D0A0D0A20202020';
wwv_flow_api.g_varchar2_table(45) := '20207D0D0A0D0A2020202020202F2F20666F722073656C656374656420726F770D0A202020202020696620287043757272656E74526F772420262620747970656F66207043757272656E74526F772420213D3D2027756E646566696E656427297B0D0A20';
wwv_flow_api.g_varchar2_table(46) := '202020202020202F2F20636865636B2069662074686572652773204D41535445525F494420636F6C756D6E0D0A2020202020202020696620287043757272656E74526F77242E66696E64287569772E6F7074696F6E732E6D724D6173746572436F6C6C29';
wwv_flow_api.g_varchar2_table(47) := '2E6C656E677468203D3D2030297B0D0A202020202020202020206966287569772E5F76616C732E69734952297B0D0A2020202020202020202020207569772E5F6528274E6F20272B7569772E6F7074696F6E732E6D724D6173746572436F6C6C2B272063';
wwv_flow_api.g_varchar2_table(48) := '6F6C756D6E2E20466F7220495220736574205374617469632049442070726F706572747920746F204D41535445525F49442E27293B0D0A202020202020202020207D656C73657B0D0A2020202020202020202020207569772E5F6528274E6F20272B7569';
wwv_flow_api.g_varchar2_table(49) := '772E6F7074696F6E732E6D724D6173746572436F6C6C2B2720636F6C756D6E27293B0D0A202020202020202020207D0D0A2020202020202020202076436865636B4D6173746572203D2066616C73653B0D0A202020202020202020202F2F617065782E64';
wwv_flow_api.g_varchar2_table(50) := '6562756728274D61737465722044657461696C20706C7567696E2020202E2E2E2E3E3E3E3E2048544D4C20617474726962757465202227202B207569772E6F7074696F6E732E6D724D6173746572436F6C6C202B20272220646F6573206E6F7420657869';
wwv_flow_api.g_varchar2_table(51) := '7374732C20686964652064657461696C207265706F72742027202B207569772E5F6F626A2E2464722E61747472282769642729293B0D0A20202020202020207D0D0A0D0A20202020202020202F2F20636865636B20696620726F77206973206375727265';
wwv_flow_api.g_varchar2_table(52) := '6E746C792073656C65637465640D0A20202020202020206966287043757272656E74526F77242E686173436C6173732827726F772D73656C65637465642729297B0D0A202020202020202020207569772E5F6428274D617374657220726F7720616C7265';
wwv_flow_api.g_varchar2_table(53) := '6164792073656C656374656427293B0D0A2020202020202020202076436865636B4D6173746572203D2066616C73653B0D0A20202020202020207D0D0A2020202020207D0D0A0D0A2020202020207569772E5F642827656E64272C2027636865636B4D61';
wwv_flow_api.g_varchar2_table(54) := '737465725265706F72742C20726573706F6E7365203D20272B76436865636B4D6173746572293B0D0A20202020202072657475726E2076436865636B4D61737465723B0D0A202020207D2C0D0A0D0A202020202F2F207365742043757272656E74207661';
wwv_flow_api.g_varchar2_table(55) := '6C75650D0A202020205F73657443757272656E7456616C75653A2066756E6374696F6E287053656C6563746F7224297B0D0A20202020202076617220756977203D20746869733B0D0A2020202020207053656C6563746F72242E706172656E7428290D0A';
wwv_flow_api.g_varchar2_table(56) := '2020202020202020202020202020202E66696E64282774722E27202B207569772E6F7074696F6E732E726F7753656C6563746564435353436C617373290D0A2020202020202020202020202020202E72656D6F7665436C617373287569772E6F7074696F';
wwv_flow_api.g_varchar2_table(57) := '6E732E726F7753656C6563746564435353436C617373293B0D0A2020202020207053656C6563746F72242E616464436C617373287569772E6F7074696F6E732E726F7753656C6563746564435353436C617373293B0D0A2020202020202F2F7569772E5F';
wwv_flow_api.g_varchar2_table(58) := '76616C732E63757272656E7456616C203D202473656C6563746F722E66696E64287569772E6F7074696F6E732E6D724D6173746572436F6C6C292E68746D6C28292E7265706C616365282F3C696E7075742E2A2F2C202727293B0D0A2020202020207569';
wwv_flow_api.g_varchar2_table(59) := '772E5F76616C732E63757272656E7456616C203D207053656C6563746F72242E66696E64287569772E6F7074696F6E732E6D724D6173746572436F6C6C292E7465787428293B0D0A2020202020206966287569772E5F76616C732E63757272656E745661';
wwv_flow_api.g_varchar2_table(60) := '6C2E6C656E677468203D3D2030297B0D0A20202020202020207569772E5F6428274D61737465722D64657461696C204974656D202D20726F772076616C7565206973206E756C6C27293B0D0A2020202020207D0D0A202020207D2C0D0A0D0A202020202F';
wwv_flow_api.g_varchar2_table(61) := '2F20676574204A534F4E206461746120666F7220746869732E646174610D0A202020205F6765744A736F6E446174613A2066756E6374696F6E287053656C6563746F7224297B0D0A20202020202076617220756977203D20746869733B0D0A0D0A202020';
wwv_flow_api.g_varchar2_table(62) := '20202076617220246A536F6E203D20277B273B0D0A20202020202076617220246A536F6E48696464656E203D2027273B0D0A2020202020207053656C6563746F72242E6368696C6472656E28292E656163682866756E6374696F6E202829207B0D0A2020';
wwv_flow_api.g_varchar2_table(63) := '2020202020207661722024726F77203D20242874686973293B0D0A2020202020202020246A536F6E48696464656E203D2027273B0D0A0D0A20202020202020202F2F206E65656420746F20636C65617220746861740D0A2020202020202020246A536F6E';
wwv_flow_api.g_varchar2_table(64) := '202B3D20272227202B2024726F772E617474722827686561646572732729202B2027223A22273B0D0A2020202020202020766172207656616C3B0D0A20202020202020206966202824726F772E66696E642827696E70757427292E6C656E677468203E20';
wwv_flow_api.g_varchar2_table(65) := '3029207B0D0A202020202020202020206966202824726F772E66696E642827696E70757427292E617474722827747970652729203D3D202768696464656E2729207B0D0A2020202020202020202020207656616C203D2024726F772E68746D6C28292E72';
wwv_flow_api.g_varchar2_table(66) := '65706C616365282F222F672C20222671756F743B22292E7265706C616365282F5C6E2F672C20222022292E7265706C616365282F5C5C2F672C20222F22292E7265706C616365282F3C696E7075742E2A2F2C202727293B0D0A0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(67) := '2020202F2F2066697820696620746865726527732068696464656E20636F6C756D6E73202D2020286E616D652048494444454E5F2B43535320636C617373290D0A20202020202020202020202024726F772E66696E642827696E7075745B747970653D68';
wwv_flow_api.g_varchar2_table(68) := '696464656E5D27292E656163682866756E6374696F6E202829207B0D0A20202020202020202020202020202020246A536F6E48696464656E202B3D20272248494444454E5F27202B20242874686973292E617474722827636C6173732729202B2027223A';
wwv_flow_api.g_varchar2_table(69) := '2227202B20242874686973292E76616C28292E7265706C616365282F222F672C20222671756F743B22292E7265706C616365282F5C6E2F672C20222022292E7265706C616365282F5C5C2F672C20222F2229202B2027222C273B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(70) := '202020207D293B0D0A202020202020202020207D20656C7365207B0D0A2020202020202020202020207656616C203D2024726F772E66696E642827696E70757427292E76616C28292E7265706C616365282F222F672C20222671756F743B22292E726570';
wwv_flow_api.g_varchar2_table(71) := '6C616365282F5C6E2F672C20222022292E7265706C616365282F5C5C2F672C20222F22293B0D0A202020202020202020207D0D0A20202020202020207D20656C7365206966202824726F772E66696E64282773656C65637427292E6C656E677468203E20';
wwv_flow_api.g_varchar2_table(72) := '3029207B0D0A202020202020202020207656616C203D2024726F772E66696E64282773656C65637427292E76616C28292E7265706C616365282F222F672C20222671756F743B22292E7265706C616365282F5C6E2F672C20223C62723E22292E7265706C';
wwv_flow_api.g_varchar2_table(73) := '616365282F5C5C2F672C20222F22293B0D0A20202020202020207D20656C7365207B0D0A202020202020202020207656616C203D2024726F772E68746D6C28292E7265706C616365282F222F672C20222671756F743B22292E7265706C616365282F5C6E';
wwv_flow_api.g_varchar2_table(74) := '2F672C20222022292E7265706C616365282F5C5C2F672C20222F22293B0D0A20202020202020207D0D0A202020202020202069662028246A536F6E48696464656E29207B0D0A20202020202020202020246A536F6E202B3D207656616C202B2027222C27';
wwv_flow_api.g_varchar2_table(75) := '202B20246A536F6E48696464656E3B0D0A20202020202020207D20656C7365207B0D0A20202020202020202020246A536F6E202B3D207656616C202B2027222C273B0D0A20202020202020207D0D0A0D0A2020202020207D293B0D0A202020202020246A';
wwv_flow_api.g_varchar2_table(76) := '536F6E203D20246A536F6E2E736C69636528302C202D3129202B20277D273B0D0A2020202020207569772E5F6428246A536F6E293B0D0A0D0A2020202020207569772E5F76616C732E726F7744617461203D206A51756572792E70617273654A534F4E28';
wwv_flow_api.g_varchar2_table(77) := '246A536F6E293B0D0A20202020202072657475726E207569772E5F76616C732E726F77446174613B0D0A202020207D2C0D0A0D0A202020202F2F207075626C69632066756E6374696F6E202D206765742063757272656E7420726F7720646174610D0A20';
wwv_flow_api.g_varchar2_table(78) := '2020202F2F20746F446F202D20636C656172207768656E206E6F206461746120666F756E6421210D0A202020202F2F204578616D706C653A20242827235031335F444550544E4F27292E6D61737465725F64657461696C5F6974656D282767657453656C';
wwv_flow_api.g_varchar2_table(79) := '6563746564526F774461746127290D0A2020202067657453656C6563746564526F77446174613A2066756E6374696F6E28297B0D0A20202020202076617220756977203D20746869733B0D0A20202020202072657475726E207569772E5F76616C732E72';
wwv_flow_api.g_varchar2_table(80) := '6F77446174613B0D0A202020207D2C0D0A0D0A202020202F2F20696E7465726E616C2066756E6374696F6E20666F722072656672657368696E672064657461696C207265706F7274730D0A202020205F7265667265736844657461696C3A2066756E6374';
wwv_flow_api.g_varchar2_table(81) := '696F6E28297B0D0A20202020202076617220756977203D20746869733B0D0A0D0A2020202020207661722076526567696F6E73417272203D207569772E6F7074696F6E732E6472496456616C2E73706C697428272C27293B0D0A202020202020666F7220';
wwv_flow_api.g_varchar2_table(82) := '287661722069203D20303B2069203C2076526567696F6E734172722E6C656E6774683B202B2B6929207B0D0A2020202020202020617065782E726567696F6E2876526567696F6E734172725B695D292E7265667265736828293B0D0A0D0A202020202020';
wwv_flow_api.g_varchar2_table(83) := '20202F2F20746573743A20646F6E27742073686F77206966204D41535445525F4944206974656D2076616C7565206973206E756C6C0D0A2020202020202020696620287569772E5F76616C732E63757272656E7456616C3E30297B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(84) := '20202024282723272B76526567696F6E734172725B695D292E73686F7728293B0D0A0D0A20202020202020207D0D0A0D0A2020202020207D0D0A0D0A202020207D2C0D0A0D0A202020202F2F20696E69742066756E6374696F6E0D0A202020205F696E69';
wwv_flow_api.g_varchar2_table(85) := '74203A2066756E6374696F6E202829207B0D0A20202020202076617220756977203D20746869733B0D0A20202020202076617220764D61737465724F6B203D2066616C73653B0D0A2020202020207569772E5F7072697661746553746F7261676528293B';
wwv_flow_api.g_varchar2_table(86) := '0D0A0D0A2020202020202F2F2073657420676C6F62616C20706C7567696E20766172730D0A2020202020207569772E5F76616C732E6974656D4E616D65203D207569772E6F7074696F6E732E6974656D4E616D653B0D0A2020202020207569772E5F6F62';
wwv_flow_api.g_varchar2_table(87) := '6A2E246974656D203D202428272327202B207569772E5F76616C732E6974656D4E616D65293B0D0A2020202020207569772E5F6F626A2E246D72203D202428272327202B207569772E6F7074696F6E732E6D72496456616C293B0D0A2020202020207569';
wwv_flow_api.g_varchar2_table(88) := '772E5F6F626A2E246472203D202428272327202B207569772E6F7074696F6E732E6472496456616C293B0D0A0D0A2020202020207569772E5F6428277374617274272C2027696E697427293B0D0A2020202020207569772E5F6428272E2E6974656D4E61';
wwv_flow_api.g_varchar2_table(89) := '6D65203D2027202B207569772E5F76616C732E6974656D4E616D652C2027696E697427290D0A2020202020207569772E5F6428272E2E6D61737465725265706F72744964203D2027202B207569772E6F7074696F6E732E6D72496456616C2C2027696E69';
wwv_flow_api.g_varchar2_table(90) := '7427290D0A2020202020207569772E5F6428272E2E64657461696C5265706F72744964203D2027202B207569772E6F7074696F6E732E6472496456616C2C2027696E697427290D0A0D0A0D0A2020202020202F2F20636865636B2069662064657461696C';
wwv_flow_api.g_varchar2_table(91) := '206973206172726179202D206C697374206F6620726567696F6E2073656C6563746F72730D0A202020202020766172206974656D417272203D207569772E6F7074696F6E732E6472496456616C2E73706C697428272C27293B0D0A202020202020666F72';
wwv_flow_api.g_varchar2_table(92) := '20287661722069203D20303B2069203C206974656D4172722E6C656E6774683B202B2B6929207B0D0A20202020202020206974656D4172725B695D203D20272327202B206974656D4172725B695D3B0D0A2020202020207D0D0A2020202020207569772E';
wwv_flow_api.g_varchar2_table(93) := '5F6F626A2E246472203D2024286974656D4172722E6A6F696E28272C2729293B0D0A0D0A2020202020202F2F20636865636B206966206D617374657220616E642064657461696C207265706F7274206578697374730D0A202020202020764D6173746572';
wwv_flow_api.g_varchar2_table(94) := '4F6B203D207569772E5F636865636B4D61737465725265706F727428293B0D0A20202020202069662028764D61737465724F6B29207B0D0A20202020202020202F2F20636865636B206966206D6173746572207265706F72742069732049520D0A202020';
wwv_flow_api.g_varchar2_table(95) := '2020202020696620287569772E5F6F626A2E246D722E66696E64287569772E6F7074696F6E732E6972526570436C617373292E6C656E677468203E203029207B0D0A202020202020202020207569772E5F6428272E2E6D6173746572207265706F727420';
wwv_flow_api.g_varchar2_table(96) := '6973204952207265706F7274272C2027696E697427293B0D0A202020202020202020207569772E5F6F626A2E246D72447269766572203D207569772E5F6F626A2E246D722E66696E64287569772E6F7074696F6E732E697252657053656C6563746F7229';
wwv_flow_api.g_varchar2_table(97) := '3B0D0A09090909097569772E5F76616C732E73656C6563746F72203D207569772E6F7074696F6E732E697252657053656C6563746F723B0D0A09090909097569772E5F76616C732E69734952203D20747275653B0D0A20202020202020207D20656C7365';
wwv_flow_api.g_varchar2_table(98) := '207B0D0A202020202020202020207569772E5F6428272E2E6D6173746572207265706F7274206973206E6F74204952207265706F7274272C2027696E697427293B0D0A202020202020202020207569772E5F6F626A2E246D72447269766572203D207569';
wwv_flow_api.g_varchar2_table(99) := '772E5F6F626A2E246D722E66696E64287569772E6F7074696F6E732E636C617373696352657053656C6563746F72293B0D0A09090909097569772E5F76616C732E73656C6563746F72203D207569772E6F7074696F6E732E636C61737369635265705365';
wwv_flow_api.g_varchar2_table(100) := '6C6563746F723B0D0A20202020202020207D0D0A0D0A20202020202020202F2F20746F646F3A2077686174277320746869733F210D0A090909097569772E5F6F626A2E246D724472697665722E636C6F73657374282774626F647927292E616464436C61';
wwv_flow_api.g_varchar2_table(101) := '737328276D617374657244657461696C5265706F727427293B0D0A0D0A20202020202020202F2F20524F5720434C49434B3A206576656E742068616E646C65722C206F6E206D6173746572207265706F727420636C69636B0D0A20202020202020207569';
wwv_flow_api.g_varchar2_table(102) := '772E5F6F626A2E246D722E6F6E2827636C69636B272C207569772E5F76616C732E73656C6563746F722C2066756E6374696F6E20286529207B0D0A202020202020202020207569772E5F6428277374617274272C20276D61737465722E726F77636C6963';
wwv_flow_api.g_varchar2_table(103) := '6B27293B0D0A20202020202020202020766172202473656C6563746F72203D20242874686973293B0D0A0D0A202020202020202020202F2F20636865636B206D617374657220636F6C756D6E0D0A20202020202020202020764D61737465724F6B203D20';
wwv_flow_api.g_varchar2_table(104) := '7569772E5F636865636B4D61737465725265706F7274282473656C6563746F72293B0D0A0D0A202020202020202020202F2F206269672049460D0A202020202020202020202F2F20636865636B2069662074686572652773206D617374657220636F6C75';
wwv_flow_api.g_varchar2_table(105) := '6D6E2C20616E642063757272656E7420726F77206973206E6F742073656C65637465640D0A2020202020202020202069662028764D61737465724F6B29207B0D0A0D0A2020202020202020202020202F2F204765742063757272656E742076616C0D0A09';
wwv_flow_api.g_varchar2_table(106) := '09090909097569772E5F73657443757272656E7456616C7565282473656C6563746F72293B0D0A0D0A2020202020202020202020202F2F207365742076616C7565206F662068696464656E206669656C640D0A090909090909696620287569772E5F7661';
wwv_flow_api.g_varchar2_table(107) := '6C732E63757272656E7456616C2E6C656E677468203E203029207B0D0A09090909090909617065782E646562756728274D61737465722044657461696C20706C7567696E2020202E2E2E2E726F772076616C7565203D2027202B207569772E5F76616C73';
wwv_flow_api.g_varchar2_table(108) := '2E63757272656E7456616C293B0D0A0D0A20202020202020202020202020202F2F20696620636F6D706F73697465206B65790D0A09090909090909696620287569772E6F7074696F6E732E636F6D70506B203D3D20274E2729207B0D0A09090909090909';
wwv_flow_api.g_varchar2_table(109) := '092473287569772E5F76616C732E6974656D4E616D652C207569772E5F76616C732E63757272656E7456616C293B0D0A090909090909097D20656C7365207B0D0A09090909090909097661722076616C417272203D207569772E5F76616C732E63757272';
wwv_flow_api.g_varchar2_table(110) := '656E7456616C2E73706C6974287569772E6F7074696F6E732E76616C756553706C6974746572293B0D0A090909090909090976617220636E74203D20313B0D0A09090909090909092473287569772E5F76616C732E6974656D4E616D652C2076616C4172';
wwv_flow_api.g_varchar2_table(111) := '725B305D293B0D0A0909090909090909242E65616368287569772E6F7074696F6E732E636F6D70506B4974656D732E73706C697428272C27292C2066756E6374696F6E202829207B0D0A090909090909090920202473282428272327202B207468697329';
wwv_flow_api.g_varchar2_table(112) := '5B305D2C2076616C4172725B636E745D293B0D0A09090909090909092020636E742B2B3B0D0A09090909090909097D293B0D0A090909090909097D0D0A0D0A090909090909092F2F2067657420726F772064617461202D2072657475726E20726F772064';
wwv_flow_api.g_varchar2_table(113) := '6174610D0A0909090909090976617220246A536F6E203D207569772E5F6765744A736F6E44617461282473656C6563746F72293B0D0A0D0A20202020202020202020202020202F2F20526566726573682044657461696C0D0A090909090909097569772E';
wwv_flow_api.g_varchar2_table(114) := '5F7265667265736844657461696C28293B0D0A0D0A20202020202020202020202020202F2F2072657475726E2073656C656374656420726F7720646174610D0A090909090909097569772E5F6F626A2E246974656D2E7472696767657228276D61737465';
wwv_flow_api.g_varchar2_table(115) := '7264657461696C726F77636C69636B272C20246A536F6E293B0D0A0909090909097D0D0A202020202020202020207D202F2F20656E64206269672069660D0A202020202020202020207569772E5F642827656E64272C20276D61737465722E726F77636C';
wwv_flow_api.g_varchar2_table(116) := '69636B27293B0D0A20202020202020207D293B0D0A20202020202020202F2F20656E64206D617374657220726F7720636C69636B0D0A0D0A20202020202020202F2F204D415354455220524547494F4E202D204245464F524520524546524553480D0A20';
wwv_flow_api.g_varchar2_table(117) := '202020202020207569772E5F6F626A2E246D722E62696E642827617065786265666F726572656672657368272C2066756E6374696F6E202829207B0D0A202020202020202020202F2F2076617220765461624964203D20242874686973292E6174747228';
wwv_flow_api.g_varchar2_table(118) := '27696427293B0D0A202020202020202020207569772E5F6428277374617274272C20276D61737465722E617065786265666F72657265667265736827293B0D0A202020202020202020207569772E5F6F626A2E2464722E6869646528293B0D0A20202020';
wwv_flow_api.g_varchar2_table(119) := '2020202020207569772E5F642827656E64272C20276D61737465722E617065786265666F72657265667265736827293B0D0A20202020202020207D293B0D0A0D0A20202020202020202F2F204D415354455220524547494F4E202D204F4E205245465245';
wwv_flow_api.g_varchar2_table(120) := '53480D0A20202020202020207569772E5F6F626A2E246D722E62696E6428276170657872656672657368272C2066756E6374696F6E20286529207B0D0A202020202020202020207569772E5F6428277374617274272C20276D61737465722E6170657872';
wwv_flow_api.g_varchar2_table(121) := '65667265736827293B0D0A202020202020202020207569772E5F76616C732E6C617374547269676765726564203D20274D4153544552273B0D0A202020202020202020207569772E5F642827656E64272C20276D61737465722E61706578726566726573';
wwv_flow_api.g_varchar2_table(122) := '6827293B0D0A20202020202020207D293B0D0A0D0A20202020202020202F2F204D415354455220524547494F4E202D20414654455220524546524553480D0A20202020202020207569772E5F6F626A2E246D722E6F6E2827617065786166746572726566';
wwv_flow_api.g_varchar2_table(123) := '72657368272C2066756E6374696F6E202829207B0D0A202020202020202020207569772E5F6428277374617274272C20276D61737465722E6170657861667465727265667265736827293B0D0A09090909097569772E5F66697848656164657228293B0D';
wwv_flow_api.g_varchar2_table(124) := '0A0D0A0D0A202020202020202020202F2F20636C6561722076616C7565206966206D617374657220697320626C616E6B0D0A202020202020202020202F2F20746F446F3A20636C6561722073657373696F6E0D0A202020202020202020202F2F20776861';
wwv_flow_api.g_varchar2_table(125) := '742069662074686572652773206D6573736167650D0A20202020202020202020696620287569772E5F6F626A2E246D724472697665724C6976652E6C656E677468203D3D203029207B0D0A2020202020202020202020207569772E5F6428276E6F206461';
wwv_flow_api.g_varchar2_table(126) := '746120666F756E642C207265736574204D41535445525F4944272C20276D61737465722E6170657861667465727265667265736827293B0D0A2020202020202020202020207569772E5F76616C732E63757272656E7456616C203D2027273B0D0A202020';
wwv_flow_api.g_varchar2_table(127) := '2020202020202020207569772E5F76616C732E726F7744617461203D2027273B0D0A2020202020202020202020202473287569772E5F76616C732E6974656D4E616D652C202727293B0D0A202020202020202020202020696620287569772E6F7074696F';
wwv_flow_api.g_varchar2_table(128) := '6E732E636F6D70506B203D3D2027592729207B0D0A202020202020202020202020202076617220636E74203D20313B0D0A2020202020202020202020202020242E65616368287569772E6F7074696F6E732E636F6D70506B4974656D732E73706C697428';
wwv_flow_api.g_varchar2_table(129) := '272C27292C2066756E6374696F6E202829207B0D0A202020202020202020202020202020202473282428272327202B2074686973295B305D2C202727293B0D0A20202020202020202020202020202020636E742B2B3B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(130) := '20207D293B0D0A2020202020202020202020207D0D0A2020202020202020202020202F2F20726566726573682064657461696C20746F20636C6561722076616C75652C20746865726527732062756720776974682073686F772076616C7569650D0A2020';
wwv_flow_api.g_varchar2_table(131) := '202020202020202020207569772E5F7265667265736844657461696C28293B0D0A0D0A202020202020202020202F2F20636C69636B206F6E20666972737420726F770D0A202020202020202020207D20656C736520696620287569772E6F7074696F6E73';
wwv_flow_api.g_varchar2_table(132) := '2E74726967676572436C69636B4F6E4C6F6164203D3D2027592729207B0D0A2020202020202020202020207569772E5F642827636C69636B206F6E20666972737420726F77272C20276D61737465722E6170657861667465727265667265736827293B0D';
wwv_flow_api.g_varchar2_table(133) := '0A2020202020202020202020207569772E5F636C69636B4F6E4669727374526F7728293B0D0A0D0A202020202020202020202F2F206966206974656D206973206E6F7420626C616E6B2C20636C69636B206F6E2073656C656374656420726F770D0A2020';
wwv_flow_api.g_varchar2_table(134) := '20202020202020207D20656C736520696620287569772E5F6F626A2E246974656D2E76616C282920213D3D20272729207B0D0A2020202020202020202020207569772E5F64282773656C65637420726F77272C20276D61737465722E6170657861667465';
wwv_flow_api.g_varchar2_table(135) := '727265667265736827293B0D0A2020202020202020202020202F2F20616B6F206A6520706F737461766C6A656E61207672696A65646E6F7374206974656D616D206B6C696B6E69206E61206F64676F766172616A75636920726564616B0D0A2020202020';
wwv_flow_api.g_varchar2_table(136) := '202020202020207569772E5F6F626A2E246D724472697665724C6976652E706172656E7428292E66696E64282774645B686561646572733D224D41535445525F4944225D27292E66696C7465722866756E6374696F6E2028297B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(137) := '20202020202072657475726E20242874686973292E746578742829203D3D3D207569772E5F6F626A2E246974656D2E76616C28293B0D0A2020202020202020202020207D292E636C6F736573742827747227292E747269676765722827636C69636B2729';
wwv_flow_api.g_varchar2_table(138) := '3B0D0A0D0A202020202020202020202F2F20656C736520686964652064657461696C207265706F72740D0A202020202020202020207D20656C7365207B0D0A2020202020202020202020207569772E5F642827686964652064657461696C272C20276D61';
wwv_flow_api.g_varchar2_table(139) := '737465722E6170657861667465727265667265736827293B0D0A2020202020202020202020207569772E5F6F626A2E2464722E6869646528293B0D0A2020202020202020202020207569772E5F6F626A2E246D722E7472696767657228274D6173746572';
wwv_flow_api.g_varchar2_table(140) := '44657461696C4E6F74436C69636B656427293B0D0A202020202020202020207D0D0A202020202020202020207569772E5F6F626A2E246D722E7472696767657228274D6173746572416674657252656672657368456E6427293B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(141) := '20207569772E5F642827656E64272C20276D61737465722E6170657861667465727265667265736827293B0D0A20202020202020207D293B0D0A20202020202020202F2F20656E642061706578616674657272656672657368206D617374657220726567';
wwv_flow_api.g_varchar2_table(142) := '696F6E0D0A0D0A20202020202020202F2F2044455441494C20524547494F4E202D204245464F524520524546524553480D0A20202020202020207569772E5F6F626A2E2464722E6F6E2827617065786265666F726572656672657368272C2066756E6374';
wwv_flow_api.g_varchar2_table(143) := '696F6E202829207B0D0A202020202020202020207569772E5F6428277374617274272C202764657461696C2E617065786265666F72657265667265736827293B0D0A20202020202020202020696620287569772E5F76616C732E63757272656E7456616C';
wwv_flow_api.g_varchar2_table(144) := '297B0D0A202020202020202020202020242874686973292E73686F7728293B0D0A202020202020202020207D0D0A202020202020202020207569772E5F642827656E64272C202764657461696C2E617065786265666F72657265667265736827293B0D0A';
wwv_flow_api.g_varchar2_table(145) := '20202020202020207D293B0D0A0D0A0D0A20202020202020202F2F2044455441494C20524547494F4E202D204F4E20524546524553480D0A20202020202020207569772E5F6F626A2E2464722E62696E6428276170657872656672657368272C2066756E';
wwv_flow_api.g_varchar2_table(146) := '6374696F6E202829207B0D0A202020202020202020207569772E5F6428277374617274272C202764657461696C2E617065787265667265736827293B0D0A202020202020202020207569772E5F76616C732E6C617374547269676765726564203D202744';
wwv_flow_api.g_varchar2_table(147) := '455441494C273B0D0A202020202020202020207569772E5F642827656E64272C202764657461696C2E617065787265667265736827293B0D0A20202020202020207D293B0D0A0D0A20202020202020202F2F2044455441494C20524547494F4E202D2041';
wwv_flow_api.g_varchar2_table(148) := '4654455220524546524553480D0A20202020202020207569772E5F6F626A2E2464722E62696E64282761706578616674657272656672657368272C2066756E6374696F6E202829207B0D0A202020202020202020207569772E5F6428277374617274272C';
wwv_flow_api.g_varchar2_table(149) := '202764657461696C2E6170657861667465727265667265736827293B0D0A202020202020202020202F2F2066697820495220686561646572730D0A202020202020202020206966287569772E5F76616C732E69734952297B0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(150) := '2020242877696E646F77292E7472696767657228276170657877696E646F77726573697A656427293B0D0A202020202020202020207D0D0A202020202020202020207569772E5F642827656E64272C202764657461696C2E617065786166746572726566';
wwv_flow_api.g_varchar2_table(151) := '7265736827293B0D0A20202020202020207D293B0D0A0D0A0D0A0D0A0D0A0D0A20202020202020202F2F204F4E204C4F41440D0A2020202020202020242866756E6374696F6E202829207B0D0A202020202020202020207569772E5F6F626A2E2464722E';
wwv_flow_api.g_varchar2_table(152) := '6869646528293B0D0A0D0A0909090920202F2F2068696465204D41535445525F49440D0A0909090920207569772E5F66697848656164657228293B0D0A0909090920207569772E5F636C69636B4F6E4669727374526F7728293B0D0A0D0A090909092020';
wwv_flow_api.g_varchar2_table(153) := '7569772E5F6F626A2E246D722E7472696767657228274D617374657244657461696C4F6E4C6F6164456E6427293B0D0A20202020202020202020617065782E646562756728272E2E2E204D617374657244657461696C4F6E4C6F6164456E642074726967';
wwv_flow_api.g_varchar2_table(154) := '6765726564206F6E2023272B7569772E5F6F626A2E246D722E61747472282769642729293B0D0A20202020202020207D293B0D0A0D0A20202020202020207D0D0A0D0A202020202020202020207569772E5F6F626A2E246D722E7472696767657228274D';
wwv_flow_api.g_varchar2_table(155) := '617374657244657461696C496E6974456E6427293B0D0A0D0A20202020202020202020617065782E646562756728272E2E2E204D617374657244657461696C496E6974456E6420747269676765726564206F6E2023272B7569772E5F6F626A2E246D722E';
wwv_flow_api.g_varchar2_table(156) := '61747472282769642729293B0D0A20202020202020202020617065782E646562756728274D61737465722044657461696C20706C7567696E202D20696E697420656E6427293B0D0A20202020202020207D0D0A202020207D293B0D0A7D2928617065782E';
wwv_flow_api.g_varchar2_table(157) := '6A5175657279293B0D0A0D0A2F2F2320736F757263654D617070696E6755524C3D68725F62696C6F675F6D676F7269636B695F6D61737465725F64657461696C5F322E302E312E6A732E6D61700D0A';
null;
wwv_flow_api.component_end;
end;
/
begin
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2020.03.31'
,p_release=>'20.1.0.00.13'
,p_default_workspace_id=>48179750683361546
,p_default_application_id=>120
,p_default_id_offset=>0
,p_default_owner=>'CATASTRO'
);
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(68238319527979710)
,p_plugin_id=>wwv_flow_api.id(29902552970050555404)
,p_file_name=>'hr_bilog_mgoricki_master_detail_2.0.1.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
wwv_flow_api.component_end;
end;
/
